//line php5/php5.y:2
package php5

import __yyfmt__ "fmt"

//line php5/php5.y:2
import (
	//    "fmt"
	//    "strings"
	"strconv"

	"github.com/z7zmey/php-parser/node"
	"github.com/z7zmey/php-parser/node/expr"
	"github.com/z7zmey/php-parser/node/expr/assign_op"
	"github.com/z7zmey/php-parser/node/name"
	"github.com/z7zmey/php-parser/node/scalar"
	"github.com/z7zmey/php-parser/node/stmt"
	"github.com/z7zmey/php-parser/token"

//    "github.com/z7zmey/php-parser/node/expr/binary_op"
//    "github.com/z7zmey/php-parser/node/expr/cast"
)

//line php5/php5.y:22
type yySymType struct {
	yys   int
	node  node.Node
	token token.Token
	//    boolWithToken boolWithToken
	list            []node.Node
	foreachVariable foreachVariable
	//    nodesWithEndToken *nodesWithEndToken
	simpleIndirectReference simpleIndirectReference
	//    str string
}

const T_INCLUDE = 57346
const T_INCLUDE_ONCE = 57347
const T_EXIT = 57348
const T_IF = 57349
const T_LNUMBER = 57350
const T_DNUMBER = 57351
const T_STRING = 57352
const T_STRING_VARNAME = 57353
const T_VARIABLE = 57354
const T_NUM_STRING = 57355
const T_INLINE_HTML = 57356
const T_CHARACTER = 57357
const T_BAD_CHARACTER = 57358
const T_ENCAPSED_AND_WHITESPACE = 57359
const T_CONSTANT_ENCAPSED_STRING = 57360
const T_ECHO = 57361
const T_DO = 57362
const T_WHILE = 57363
const T_ENDWHILE = 57364
const T_FOR = 57365
const T_ENDFOR = 57366
const T_FOREACH = 57367
const T_ENDFOREACH = 57368
const T_DECLARE = 57369
const T_ENDDECLARE = 57370
const T_AS = 57371
const T_SWITCH = 57372
const T_ENDSWITCH = 57373
const T_CASE = 57374
const T_DEFAULT = 57375
const T_BREAK = 57376
const T_CONTINUE = 57377
const T_GOTO = 57378
const T_FUNCTION = 57379
const T_CONST = 57380
const T_RETURN = 57381
const T_TRY = 57382
const T_CATCH = 57383
const T_FINALLY = 57384
const T_THROW = 57385
const T_USE = 57386
const T_INSTEADOF = 57387
const T_GLOBAL = 57388
const T_VAR = 57389
const T_UNSET = 57390
const T_ISSET = 57391
const T_EMPTY = 57392
const T_HALT_COMPILER = 57393
const T_CLASS = 57394
const T_TRAIT = 57395
const T_INTERFACE = 57396
const T_EXTENDS = 57397
const T_IMPLEMENTS = 57398
const T_OBJECT_OPERATOR = 57399
const T_DOUBLE_ARROW = 57400
const T_LIST = 57401
const T_ARRAY = 57402
const T_CALLABLE = 57403
const T_CLASS_C = 57404
const T_TRAIT_C = 57405
const T_METHOD_C = 57406
const T_FUNC_C = 57407
const T_LINE = 57408
const T_FILE = 57409
const T_COMMENT = 57410
const T_DOC_COMMENT = 57411
const T_OPEN_TAG = 57412
const T_OPEN_TAG_WITH_ECHO = 57413
const T_CLOSE_TAG = 57414
const T_WHITESPACE = 57415
const T_START_HEREDOC = 57416
const T_END_HEREDOC = 57417
const T_DOLLAR_OPEN_CURLY_BRACES = 57418
const T_CURLY_OPEN = 57419
const T_PAAMAYIM_NEKUDOTAYIM = 57420
const T_NAMESPACE = 57421
const T_NS_C = 57422
const T_DIR = 57423
const T_NS_SEPARATOR = 57424
const T_ELLIPSIS = 57425
const T_EVAL = 57426
const T_REQUIRE = 57427
const T_REQUIRE_ONCE = 57428
const T_LOGICAL_OR = 57429
const T_LOGICAL_XOR = 57430
const T_LOGICAL_AND = 57431
const T_INSTANCEOF = 57432
const T_NEW = 57433
const T_CLONE = 57434
const T_ELSEIF = 57435
const T_ELSE = 57436
const T_ENDIF = 57437
const T_PRINT = 57438
const T_YIELD = 57439
const T_STATIC = 57440
const T_ABSTRACT = 57441
const T_FINAL = 57442
const T_PRIVATE = 57443
const T_PROTECTED = 57444
const T_PUBLIC = 57445
const T_INC = 57446
const T_DEC = 57447
const T_YIELD_FROM = 57448
const T_INT_CAST = 57449
const T_DOUBLE_CAST = 57450
const T_STRING_CAST = 57451
const T_ARRAY_CAST = 57452
const T_OBJECT_CAST = 57453
const T_BOOL_CAST = 57454
const T_UNSET_CAST = 57455
const T_COALESCE = 57456
const T_SPACESHIP = 57457
const T_NOELSE = 57458
const T_PLUS_EQUAL = 57459
const T_MINUS_EQUAL = 57460
const T_MUL_EQUAL = 57461
const T_DIV_EQUAL = 57462
const T_CONCAT_EQUAL = 57463
const T_MOD_EQUAL = 57464
const T_AND_EQUAL = 57465
const T_OR_EQUAL = 57466
const T_XOR_EQUAL = 57467
const T_SL_EQUAL = 57468
const T_SR_EQUAL = 57469
const T_POW_EQUAL = 57470
const T_BOOLEAN_OR = 57471
const T_BOOLEAN_AND = 57472
const T_IS_EQUAL = 57473
const T_IS_NOT_EQUAL = 57474
const T_IS_IDENTICAL = 57475
const T_IS_NOT_IDENTICAL = 57476
const T_IS_SMALLER_OR_EQUAL = 57477
const T_IS_GREATER_OR_EQUAL = 57478
const T_SL = 57479
const T_SR = 57480
const T_POW = 57481

var yyToknames = [...]string{
	"$end",
	"error",
	"$unk",
	"T_INCLUDE",
	"T_INCLUDE_ONCE",
	"T_EXIT",
	"T_IF",
	"T_LNUMBER",
	"T_DNUMBER",
	"T_STRING",
	"T_STRING_VARNAME",
	"T_VARIABLE",
	"T_NUM_STRING",
	"T_INLINE_HTML",
	"T_CHARACTER",
	"T_BAD_CHARACTER",
	"T_ENCAPSED_AND_WHITESPACE",
	"T_CONSTANT_ENCAPSED_STRING",
	"T_ECHO",
	"T_DO",
	"T_WHILE",
	"T_ENDWHILE",
	"T_FOR",
	"T_ENDFOR",
	"T_FOREACH",
	"T_ENDFOREACH",
	"T_DECLARE",
	"T_ENDDECLARE",
	"T_AS",
	"T_SWITCH",
	"T_ENDSWITCH",
	"T_CASE",
	"T_DEFAULT",
	"T_BREAK",
	"T_CONTINUE",
	"T_GOTO",
	"T_FUNCTION",
	"T_CONST",
	"T_RETURN",
	"T_TRY",
	"T_CATCH",
	"T_FINALLY",
	"T_THROW",
	"T_USE",
	"T_INSTEADOF",
	"T_GLOBAL",
	"T_VAR",
	"T_UNSET",
	"T_ISSET",
	"T_EMPTY",
	"T_HALT_COMPILER",
	"T_CLASS",
	"T_TRAIT",
	"T_INTERFACE",
	"T_EXTENDS",
	"T_IMPLEMENTS",
	"T_OBJECT_OPERATOR",
	"T_DOUBLE_ARROW",
	"T_LIST",
	"T_ARRAY",
	"T_CALLABLE",
	"T_CLASS_C",
	"T_TRAIT_C",
	"T_METHOD_C",
	"T_FUNC_C",
	"T_LINE",
	"T_FILE",
	"T_COMMENT",
	"T_DOC_COMMENT",
	"T_OPEN_TAG",
	"T_OPEN_TAG_WITH_ECHO",
	"T_CLOSE_TAG",
	"T_WHITESPACE",
	"T_START_HEREDOC",
	"T_END_HEREDOC",
	"T_DOLLAR_OPEN_CURLY_BRACES",
	"T_CURLY_OPEN",
	"T_PAAMAYIM_NEKUDOTAYIM",
	"T_NAMESPACE",
	"T_NS_C",
	"T_DIR",
	"T_NS_SEPARATOR",
	"T_ELLIPSIS",
	"T_EVAL",
	"T_REQUIRE",
	"T_REQUIRE_ONCE",
	"T_LOGICAL_OR",
	"T_LOGICAL_XOR",
	"T_LOGICAL_AND",
	"T_INSTANCEOF",
	"T_NEW",
	"T_CLONE",
	"T_ELSEIF",
	"T_ELSE",
	"T_ENDIF",
	"T_PRINT",
	"T_YIELD",
	"T_STATIC",
	"T_ABSTRACT",
	"T_FINAL",
	"T_PRIVATE",
	"T_PROTECTED",
	"T_PUBLIC",
	"T_INC",
	"T_DEC",
	"T_YIELD_FROM",
	"T_INT_CAST",
	"T_DOUBLE_CAST",
	"T_STRING_CAST",
	"T_ARRAY_CAST",
	"T_OBJECT_CAST",
	"T_BOOL_CAST",
	"T_UNSET_CAST",
	"T_COALESCE",
	"T_SPACESHIP",
	"T_NOELSE",
	"'\"'",
	"'`'",
	"'{'",
	"'}'",
	"';'",
	"':'",
	"'('",
	"')'",
	"'['",
	"']'",
	"'?'",
	"'&'",
	"'-'",
	"'+'",
	"'!'",
	"'~'",
	"'@'",
	"'$'",
	"','",
	"'='",
	"T_PLUS_EQUAL",
	"T_MINUS_EQUAL",
	"T_MUL_EQUAL",
	"T_DIV_EQUAL",
	"T_CONCAT_EQUAL",
	"T_MOD_EQUAL",
	"T_AND_EQUAL",
	"T_OR_EQUAL",
	"T_XOR_EQUAL",
	"T_SL_EQUAL",
	"T_SR_EQUAL",
	"T_POW_EQUAL",
	"T_BOOLEAN_OR",
	"T_BOOLEAN_AND",
	"'|'",
	"'^'",
	"T_IS_EQUAL",
	"T_IS_NOT_EQUAL",
	"T_IS_IDENTICAL",
	"T_IS_NOT_IDENTICAL",
	"'<'",
	"T_IS_SMALLER_OR_EQUAL",
	"'>'",
	"T_IS_GREATER_OR_EQUAL",
	"T_SL",
	"T_SR",
	"'.'",
	"'*'",
	"'/'",
	"'%'",
	"T_POW",
}
var yyStatenames = [...]string{}

const yyEofCode = 1
const yyErrCode = 2
const yyInitialStackSize = 16

//line php5/php5.y:1988

//line yacctab:1
var yyExca = [...]int{
	-1, 1,
	1, -1,
	-2, 0,
	-1, 50,
	104, 488,
	105, 488,
	-2, 486,
	-1, 101,
	78, 383,
	123, 366,
	-2, 464,
	-1, 113,
	78, 506,
	123, 502,
	-2, 512,
	-1, 153,
	104, 488,
	105, 488,
	-2, 486,
	-1, 203,
	121, 349,
	124, 349,
	-2, 483,
	-1, 204,
	104, 488,
	105, 488,
	121, 350,
	124, 350,
	-2, 486,
	-1, 227,
	123, 366,
	-2, 383,
	-1, 270,
	78, 506,
	-2, 512,
	-1, 296,
	78, 385,
	123, 370,
	-2, 466,
	-1, 300,
	123, 503,
	-2, 513,
	-1, 309,
	78, 384,
	123, 368,
	-2, 465,
	-1, 371,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 310,
	-1, 372,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 311,
	-1, 373,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 312,
	-1, 374,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 313,
	-1, 375,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 314,
	-1, 376,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 315,
	-1, 377,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 316,
	-1, 378,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 317,
	-1, 385,
	104, 488,
	105, 488,
	-2, 486,
	-1, 416,
	123, 370,
	-2, 385,
	-1, 436,
	123, 497,
	-2, 501,
	-1, 453,
	104, 488,
	105, 488,
	124, 569,
	135, 569,
	-2, 486,
	-1, 454,
	124, 570,
	135, 570,
	-2, 483,
	-1, 455,
	104, 488,
	105, 488,
	-2, 486,
	-1, 477,
	123, 374,
	-2, 504,
	-1, 478,
	123, 527,
	-2, 571,
	-1, 483,
	123, 378,
	-2, 505,
	-1, 484,
	123, 527,
	-2, 572,
	-1, 507,
	78, 383,
	-2, 422,
	-1, 553,
	124, 167,
	-2, 172,
	-1, 561,
	121, 351,
	124, 351,
	-2, 483,
	-1, 562,
	104, 488,
	105, 488,
	121, 352,
	124, 352,
	-2, 486,
	-1, 568,
	123, 368,
	-2, 384,
	-1, 569,
	57, 259,
	125, 259,
	-2, 258,
	-1, 612,
	124, 181,
	135, 181,
	-2, 483,
	-1, 613,
	104, 488,
	105, 488,
	124, 182,
	135, 182,
	-2, 486,
	-1, 662,
	78, 385,
	-2, 424,
	-1, 689,
	124, 167,
	-2, 172,
	-1, 704,
	124, 167,
	-2, 172,
	-1, 768,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 450,
	-1, 769,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 451,
	-1, 770,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 452,
	-1, 771,
	153, 0,
	154, 0,
	155, 0,
	156, 0,
	-2, 453,
	-1, 772,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 454,
	-1, 773,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 455,
	-1, 774,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 456,
	-1, 775,
	157, 0,
	158, 0,
	159, 0,
	160, 0,
	-2, 457,
	-1, 778,
	78, 384,
	-2, 423,
	-1, 829,
	57, 254,
	-2, 256,
	-1, 887,
	37, 228,
	-2, 225,
	-1, 948,
	123, 497,
	-2, 501,
	-1, 1013,
	29, 216,
	-2, 4,
	-1, 1039,
	124, 167,
	-2, 172,
	-1, 1043,
	121, 220,
	-2, 222,
}

const yyPrivate = 57344

const yyLast = 8220

var yyAct = [...]int{

	101, 891, 1064, 436, 580, 136, 705, 199, 1007, 122,
	130, 334, 830, 60, 711, 113, 875, 923, 858, 588,
	823, 707, 146, 411, 694, 38, 611, 114, 803, 465,
	452, 137, 412, 97, 664, 142, 383, 832, 683, 317,
	313, 117, 263, 25, 328, 439, 327, 6, 157, 5,
	161, 129, 2, 288, 717, 227, 227, 178, 634, 634,
	42, 468, 636, 635, 1038, 1001, 478, 1000, 120, 442,
	1049, 120, 191, 191, 326, 998, 484, 4, 120, 994,
	266, 191, 634, 974, 503, 250, 636, 635, 424, 999,
	995, 43, 969, 926, 871, 270, 646, 637, 639, 640,
	638, 638, 90, 296, 566, 824, 240, 271, 479, 720,
	172, 176, 175, 269, 257, 978, 152, 977, 644, 645,
	646, 637, 639, 640, 638, 309, 634, 818, 314, 318,
	300, 976, 321, 203, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	178, 827, 701, 332, 339, 177, 179, 180, 178, 38,
	227, 739, 566, 938, 688, 637, 639, 640, 638, 350,
	161, 502, 740, 699, 351, 443, 308, 939, 443, 323,
	782, 120, 240, 529, 700, 443, 466, 125, 594, 120,
	119, 496, 266, 119, 227, 125, 492, 120, 565, 595,
	119, 545, 388, 900, 120, 497, 158, 270, 200, 566,
	493, 1019, 546, 634, 352, 333, 642, 636, 635, 271,
	345, 348, 227, 191, 967, 269, 1072, 979, 353, 947,
	416, 907, 191, 906, 379, 349, 414, 651, 650, 641,
	643, 654, 655, 652, 653, 656, 658, 657, 659, 644,
	645, 646, 637, 639, 640, 638, 228, 838, 780, 229,
	343, 227, 176, 175, 228, 310, 125, 229, 120, 447,
	132, 176, 175, 725, 344, 232, 564, 833, 440, 311,
	619, 607, 299, 232, 133, 606, 386, 449, 298, 125,
	441, 120, 227, 240, 181, 182, 174, 177, 179, 180,
	178, 600, 599, 119, 438, 174, 177, 179, 180, 178,
	571, 119, 130, 440, 570, 697, 495, 585, 440, 119,
	499, 464, 729, 584, 507, 441, 301, 1020, 159, 728,
	441, 38, 125, 578, 120, 228, 293, 1053, 229, 477,
	968, 463, 426, 476, 483, 831, 432, 292, 482, 286,
	280, 253, 507, 6, 232, 5, 252, 1018, 228, 986,
	488, 229, 874, 491, 869, 454, 456, 866, 864, 458,
	428, 429, 847, 817, 741, 462, 589, 232, 674, 601,
	1068, 470, 471, 4, 696, 597, 421, 480, 419, 305,
	119, 1039, 138, 533, 934, 556, 429, 428, 428, 227,
	429, 228, 1055, 474, 229, 524, 860, 859, 125, 555,
	120, 38, 294, 119, 431, 815, 568, 806, 704, 689,
	232, 663, 567, 553, 531, 523, 505, 532, 427, 387,
	287, 277, 274, 440, 440, 273, 537, 249, 221, 194,
	193, 346, 141, 121, 889, 441, 441, 591, 984, 307,
	890, 306, 1028, 888, 505, 955, 119, 586, 381, 477,
	483, 440, 331, 476, 482, 1059, 440, 1058, 795, 796,
	795, 796, 134, 441, 1027, 1017, 983, 267, 441, 961,
	268, 921, 917, 862, 856, 855, 787, 590, 561, 692,
	686, 684, 593, 528, 314, 487, 232, 390, 318, 341,
	155, 1025, 125, 507, 895, 896, 897, 894, 893, 892,
	662, 38, 507, 905, 103, 579, 1074, 256, 610, 507,
	507, 507, 507, 507, 258, 953, 936, 1046, 959, 430,
	933, 676, 119, 6, 626, 5, 932, 629, 930, 820,
	716, 304, 196, 223, 224, 915, 916, 227, 227, 227,
	851, 852, 879, 294, 556, 125, 861, 714, 794, 715,
	631, 556, 661, 4, 628, 266, 612, 227, 227, 230,
	230, 685, 446, 698, 124, 718, 415, 124, 1031, 668,
	270, 450, 445, 693, 418, 417, 302, 633, 259, 260,
	804, 722, 271, 297, 264, 460, 734, 833, 269, 721,
	950, 678, 713, 125, 227, 505, 227, 719, 440, 281,
	285, 123, 125, 294, 505, 227, 61, 294, 501, 125,
	441, 505, 505, 505, 505, 505, 735, 319, 125, 459,
	127, 128, 1013, 498, 438, 507, 507, 507, 507, 507,
	507, 507, 507, 507, 507, 507, 507, 507, 507, 507,
	507, 507, 507, 507, 507, 507, 507, 507, 507, 507,
	507, 507, 778, 125, 507, 737, 560, 738, 667, 709,
	710, 294, 473, 731, 230, 131, 742, 494, 320, 238,
	485, 557, 448, 262, 558, 790, 294, 454, 557, 507,
	556, 558, 394, 792, 791, 781, 801, 227, 779, 38,
	315, 557, 507, 876, 558, 556, 264, 258, 230, 207,
	206, 816, 430, 1029, 556, 822, 819, 895, 896, 897,
	894, 893, 892, 797, 258, 799, 284, 807, 718, 283,
	294, 294, 258, 814, 784, 131, 230, 505, 505, 505,
	505, 505, 505, 505, 505, 505, 505, 505, 505, 505,
	505, 505, 505, 505, 505, 505, 505, 505, 505, 505,
	505, 505, 505, 505, 1065, 835, 505, 843, 821, 258,
	461, 259, 260, 800, 809, 230, 785, 507, 703, 44,
	863, 795, 796, 507, 507, 162, 812, 284, 259, 260,
	1030, 505, 548, 258, 1050, 460, 259, 260, 430, 53,
	798, 795, 796, 527, 505, 227, 230, 227, 1071, 573,
	44, 575, 574, 38, 1037, 1021, 870, 836, 837, 556,
	996, 991, 971, 935, 535, 556, 1044, 1002, 972, 867,
	868, 258, 612, 259, 260, 942, 282, 904, 517, 898,
	877, 880, 125, 227, 437, 899, 258, 507, 811, 440,
	749, 255, 616, 748, 225, 233, 632, 259, 260, 630,
	627, 441, 576, 550, 500, 912, 517, 625, 902, 472,
	391, 322, 507, 202, 556, 438, 919, 201, 198, 505,
	135, 922, 115, 583, 581, 505, 505, 927, 931, 941,
	582, 556, 948, 38, 727, 259, 260, 665, 514, 949,
	908, 840, 592, 265, 909, 944, 303, 622, 621, 940,
	259, 260, 507, 230, 946, 618, 617, 475, 490, 295,
	903, 966, 536, 392, 254, 75, 958, 913, 74, 954,
	956, 960, 251, 248, 544, 802, 962, 504, 964, 965,
	380, 924, 569, 357, 924, 356, 355, 354, 973, 505,
	825, 444, 724, 980, 981, 723, 929, 901, 828, 829,
	730, 985, 682, 987, 335, 988, 440, 887, 1042, 1011,
	507, 1040, 1010, 1009, 505, 507, 1008, 556, 441, 556,
	1006, 38, 1005, 38, 902, 38, 975, 38, 38, 945,
	943, 1004, 438, 1012, 744, 745, 1057, 1024, 746, 747,
	886, 507, 507, 885, 884, 970, 937, 556, 38, 883,
	38, 38, 882, 609, 505, 1026, 708, 517, 706, 1014,
	1032, 1012, 952, 920, 957, 559, 517, 982, 395, 40,
	556, 712, 1043, 517, 517, 517, 517, 517, 554, 507,
	556, 1045, 393, 39, 1041, 552, 1048, 878, 14, 13,
	556, 1073, 1052, 1070, 997, 38, 1063, 872, 1062, 1003,
	1060, 230, 230, 230, 1054, 1061, 1067, 1036, 38, 556,
	963, 873, 505, 813, 702, 38, 808, 505, 549, 264,
	1075, 230, 230, 1069, 38, 1022, 1023, 195, 382, 163,
	1034, 530, 337, 596, 1033, 1015, 918, 681, 38, 680,
	140, 677, 526, 505, 505, 208, 209, 210, 211, 213,
	214, 215, 216, 217, 218, 219, 220, 212, 230, 889,
	230, 139, 914, 1047, 853, 890, 789, 525, 888, 230,
	850, 788, 675, 330, 10, 1, 289, 451, 160, 156,
	316, 505, 312, 126, 63, 88, 572, 89, 506, 517,
	517, 517, 517, 517, 517, 517, 517, 517, 517, 517,
	517, 517, 517, 517, 517, 517, 517, 517, 517, 517,
	517, 517, 517, 517, 517, 517, 100, 73, 517, 895,
	896, 897, 894, 893, 892, 634, 11, 324, 99, 636,
	635, 191, 98, 78, 118, 512, 3, 0, 0, 0,
	0, 881, 0, 517, 0, 0, 0, 0, 0, 0,
	634, 230, 660, 642, 636, 635, 517, 656, 658, 657,
	659, 644, 645, 646, 637, 639, 640, 638, 0, 50,
	176, 175, 0, 116, 651, 650, 641, 643, 654, 655,
	652, 653, 656, 658, 657, 659, 644, 645, 646, 637,
	639, 640, 638, 0, 153, 0, 0, 30, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 0,
	0, 204, 0, 0, 0, 0, 0, 0, 0, 0,
	144, 150, 154, 0, 226, 226, 164, 0, 231, 231,
	0, 517, 0, 547, 197, 0, 0, 517, 517, 205,
	0, 0, 0, 0, 0, 168, 170, 169, 191, 0,
	222, 0, 0, 272, 234, 235, 236, 237, 0, 230,
	239, 230, 241, 242, 243, 244, 245, 246, 247, 0,
	0, 0, 0, 0, 0, 261, 0, 0, 839, 0,
	275, 276, 0, 278, 279, 192, 172, 176, 175, 0,
	0, 0, 0, 0, 290, 0, 0, 230, 0, 0,
	0, 517, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 517, 0, 0, 347,
	0, 0, 0, 231, 0, 0, 239, 0, 0, 336,
	208, 209, 210, 211, 213, 214, 215, 216, 217, 218,
	219, 220, 212, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 384, 385, 272, 517, 231, 358, 359,
	360, 361, 362, 363, 364, 365, 366, 367, 368, 369,
	370, 371, 372, 373, 374, 375, 376, 377, 378, 666,
	0, 413, 154, 0, 0, 231, 669, 670, 671, 672,
	673, 0, 0, 0, 0, 0, 397, 399, 400, 401,
	402, 403, 404, 405, 406, 407, 408, 409, 410, 0,
	0, 0, 0, 0, 517, 0, 0, 0, 0, 517,
	435, 0, 0, 0, 231, 0, 0, 0, 0, 0,
	0, 0, 0, 453, 455, 0, 0, 239, 0, 423,
	425, 425, 0, 0, 0, 517, 517, 433, 0, 0,
	0, 469, 0, 0, 0, 231, 0, 0, 0, 0,
	0, 154, 154, 0, 0, 457, 0, 0, 425, 0,
	0, 0, 0, 0, 425, 290, 0, 0, 0, 0,
	425, 425, 0, 517, 0, 0, 425, 481, 0, 0,
	0, 0, 486, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 750, 751, 752, 753, 754, 755, 756, 757,
	758, 759, 760, 761, 762, 763, 764, 765, 766, 767,
	768, 769, 770, 771, 772, 773, 774, 775, 777, 0,
	0, 666, 0, 0, 534, 168, 170, 169, 191, 0,
	0, 538, 539, 540, 541, 542, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 562, 0, 563, 0,
	0, 0, 231, 0, 0, 0, 0, 0, 543, 860,
	859, 0, 0, 0, 0, 192, 172, 176, 175, 0,
	0, 0, 0, 0, 154, 0, 0, 0, 0, 911,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 0, 0, 649, 647,
	648, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 587, 0, 0, 613, 0, 0, 634, 0, 0,
	642, 636, 635, 0, 845, 0, 0, 0, 0, 0,
	848, 849, 0, 0, 602, 604, 634, 0, 660, 642,
	636, 635, 154, 641, 643, 654, 655, 652, 653, 656,
	658, 657, 659, 644, 645, 646, 637, 639, 640, 638,
	651, 650, 641, 643, 654, 655, 652, 653, 656, 658,
	657, 659, 644, 645, 646, 637, 639, 640, 638, 0,
	0, 0, 0, 0, 0, 0, 384, 695, 695, 0,
	231, 231, 231, 0, 910, 0, 0, 0, 342, 0,
	0, 0, 0, 0, 0, 0, 413, 413, 272, 0,
	231, 231, 691, 208, 209, 210, 211, 213, 214, 215,
	216, 217, 218, 219, 220, 212, 649, 647, 648, 0,
	0, 0, 0, 0, 0, 453, 0, 0, 0, 0,
	0, 0, 0, 469, 0, 469, 726, 231, 0, 231,
	0, 0, 425, 732, 469, 0, 0, 0, 231, 951,
	0, 846, 0, 154, 634, 0, 660, 642, 636, 635,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 634, 743, 0, 642, 636, 635, 651, 650,
	641, 643, 654, 655, 652, 653, 656, 658, 657, 659,
	644, 645, 646, 637, 639, 640, 638, 650, 641, 643,
	654, 655, 652, 653, 656, 658, 657, 659, 644, 645,
	646, 637, 639, 640, 638, 0, 0, 634, 0, 0,
	642, 636, 635, 0, 0, 0, 805, 0, 0, 0,
	231, 0, 0, 0, 0, 0, 0, 0, 0, 336,
	793, 649, 647, 648, 643, 654, 655, 652, 653, 656,
	658, 657, 659, 644, 645, 646, 637, 639, 640, 638,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	613, 0, 0, 0, 0, 0, 0, 0, 826, 634,
	844, 660, 642, 636, 635, 0, 425, 425, 0, 0,
	0, 0, 0, 0, 841, 0, 0, 0, 154, 0,
	0, 0, 0, 651, 650, 641, 643, 654, 655, 652,
	653, 656, 658, 657, 659, 644, 645, 646, 637, 639,
	640, 638, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 695, 0, 413, 0, 231, 0,
	231, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 857, 0, 0, 0, 0, 0, 0,
	865, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 469, 0, 0, 0, 231, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 425,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 15, 24, 35, 0, 0, 36,
	9, 0, 26, 0, 31, 80, 81, 7, 45, 47,
	49, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 425, 0,
	92, 0, 0, 0, 0, 8, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 336, 79, 52, 0,
	0, 0, 77, 41, 27, 46, 48, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 624, 34, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 15, 24, 35, 0, 0,
	36, 9, 0, 26, 0, 31, 80, 81, 7, 45,
	47, 49, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 8, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 46, 48, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 489, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 0, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 15, 24, 35, 0,
	0, 36, 9, 0, 26, 0, 31, 80, 81, 7,
	45, 47, 49, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 8, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 46, 48, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 0, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 0, 20, 0, 32, 0, 33, 0, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 0, 24, 35,
	0, 0, 36, 0, 0, 26, 0, 31, 80, 81,
	329, 45, 47, 49, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 46, 48,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 16, 1076,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 0, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 0, 24,
	35, 0, 0, 36, 0, 0, 26, 0, 31, 80,
	81, 329, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	1066, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 0,
	24, 35, 0, 0, 36, 0, 0, 26, 0, 31,
	80, 81, 329, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 1056, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 1051, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	0, 24, 35, 0, 0, 36, 0, 0, 26, 0,
	31, 80, 81, 329, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 0, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 0, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 329, 45, 47, 49, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 46, 48, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 1016, 34, 0, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 329, 45, 47, 49, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 46, 48, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 993, 34, 0, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 329, 45, 47, 49,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 46, 48, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 992, 34, 0, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 329, 45, 47,
	49, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 46, 48, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 990, 34, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 989, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 329, 45,
	47, 49, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 46, 48, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 0, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 17, 104, 105, 12, 87,
	120, 0, 29, 0, 0, 0, 94, 28, 19, 18,
	0, 20, 0, 32, 0, 33, 928, 0, 21, 0,
	0, 0, 22, 23, 37, 44, 0, 24, 35, 0,
	0, 36, 0, 0, 26, 0, 31, 80, 81, 329,
	45, 47, 49, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 41, 27, 46, 48, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 16, 0, 34,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 17, 104, 105, 12,
	87, 120, 0, 29, 0, 0, 0, 94, 28, 19,
	18, 854, 20, 0, 32, 0, 33, 0, 0, 21,
	0, 0, 0, 22, 23, 37, 44, 0, 24, 35,
	0, 0, 36, 0, 0, 26, 0, 31, 80, 81,
	329, 45, 47, 49, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 41, 27, 46, 48,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 16, 0,
	34, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 17, 104, 105,
	12, 87, 120, 0, 29, 0, 0, 0, 94, 28,
	19, 18, 0, 20, 0, 32, 0, 33, 0, 0,
	21, 0, 0, 0, 22, 23, 37, 44, 0, 24,
	35, 0, 0, 36, 0, 0, 26, 0, 31, 80,
	81, 329, 45, 47, 49, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 41, 27, 46,
	48, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 16,
	551, 34, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 17, 104,
	105, 12, 87, 120, 0, 29, 0, 0, 0, 94,
	28, 19, 18, 0, 20, 0, 32, 0, 33, 0,
	0, 21, 0, 0, 0, 22, 23, 37, 44, 0,
	24, 35, 0, 0, 36, 0, 0, 26, 0, 31,
	80, 81, 329, 45, 47, 49, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 27,
	46, 48, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	16, 325, 34, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 17,
	104, 105, 12, 87, 120, 0, 29, 0, 0, 0,
	94, 28, 19, 18, 0, 20, 0, 32, 0, 33,
	0, 0, 21, 0, 0, 0, 22, 23, 37, 44,
	0, 24, 35, 0, 0, 36, 0, 0, 26, 0,
	31, 80, 81, 329, 45, 47, 49, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 41,
	27, 46, 48, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 16, 0, 34, 0, 62, 0, 96, 0, 0,
	0, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	17, 104, 105, 12, 87, 120, 0, 29, 0, 0,
	0, 94, 28, 19, 18, 0, 20, 0, 32, 0,
	33, 0, 0, 21, 0, 0, 0, 22, 23, 37,
	44, 0, 24, 35, 0, 0, 36, 0, 0, 26,
	0, 31, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	41, 27, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 16, 0, 34, 1035, 62, 0, 96, 0,
	0, 0, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 17, 104, 105, 12, 87, 120, 0, 29, 0,
	0, 0, 94, 28, 19, 18, 0, 20, 0, 32,
	0, 33, 0, 0, 21, 0, 0, 0, 22, 23,
	37, 44, 0, 24, 35, 0, 0, 36, 0, 0,
	26, 0, 31, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 41, 27, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 16, 0, 34, 925, 62, 0, 96,
	0, 0, 0, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 17, 104, 105, 12, 87, 120, 0, 29,
	0, 0, 0, 94, 28, 19, 18, 0, 20, 0,
	32, 0, 33, 0, 0, 21, 0, 0, 0, 22,
	23, 37, 44, 0, 24, 35, 0, 0, 36, 0,
	0, 26, 0, 31, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 41, 27, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 16, 0, 34, 810, 62, 0,
	96, 0, 0, 0, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 17, 104, 105, 12, 87, 120, 0,
	29, 0, 0, 0, 94, 28, 19, 18, 0, 20,
	0, 32, 0, 33, 0, 0, 21, 0, 0, 0,
	22, 23, 37, 44, 0, 24, 35, 0, 0, 36,
	0, 0, 26, 0, 31, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 27, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 16, 0, 34, 679, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 17, 104, 105, 12, 87, 120,
	0, 29, 0, 0, 0, 94, 28, 19, 18, 0,
	20, 0, 32, 0, 33, 0, 0, 21, 0, 0,
	0, 22, 23, 37, 44, 0, 24, 35, 0, 0,
	36, 0, 0, 26, 0, 31, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 41, 27, 168, 170, 169, 191,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 16, 0, 34, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 0, 0, 0, 834, 192, 172, 176, 175,
	649, 647, 648, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 783, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 786, 634, 0,
	660, 642, 636, 635, 649, 647, 648, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 736,
	0, 0, 651, 650, 641, 643, 654, 655, 652, 653,
	656, 658, 657, 659, 644, 645, 646, 637, 639, 640,
	638, 0, 634, 0, 660, 642, 636, 635, 168, 170,
	169, 191, 208, 209, 210, 211, 213, 214, 215, 216,
	217, 218, 219, 220, 212, 0, 651, 650, 641, 643,
	654, 655, 652, 653, 656, 658, 657, 659, 644, 645,
	646, 637, 639, 640, 638, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 733,
	0, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	0, 0, 168, 170, 169, 191, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 690, 0, 0,
	0, 0, 192, 172, 176, 175, 0, 0, 0, 0,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 166, 167, 171, 173, 185, 186,
	183, 184, 187, 188, 189, 190, 181, 182, 174, 177,
	179, 180, 178, 687, 0, 0, 0, 0, 0, 0,
	192, 172, 176, 175, 0, 0, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 623, 0, 0, 0, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 0, 168, 170, 169, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 620,
	0, 0, 0, 0, 0, 0, 192, 172, 176, 175,
	168, 170, 169, 191, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 598, 0, 0,
	192, 172, 176, 175, 0, 0, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 166, 167, 171, 173, 185, 186, 183, 184,
	187, 188, 189, 190, 181, 182, 174, 177, 179, 180,
	178, 577, 0, 0, 0, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 0, 0, 0, 0, 0,
	467, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 168,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 192,
	172, 176, 175, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 396, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	420, 0, 0, 192, 172, 176, 175, 168, 170, 169,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 0, 0, 0, 192, 172, 176,
	175, 0, 0, 0, 168, 170, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 166,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 389, 0,
	0, 0, 0, 0, 192, 172, 176, 175, 0, 0,
	0, 168, 170, 169, 191, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 340, 0, 0, 0, 0,
	0, 192, 172, 176, 175, 0, 0, 0, 168, 170,
	169, 191, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 166, 167, 171, 173, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 338, 0, 0, 0, 0, 0, 192, 172,
	176, 175, 0, 0, 0, 168, 170, 169, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	166, 167, 171, 173, 185, 186, 183, 184, 187, 188,
	189, 190, 181, 182, 174, 177, 179, 180, 178, 165,
	0, 0, 0, 0, 0, 192, 172, 176, 175, 649,
	647, 648, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 0, 634, 0, 660,
	642, 636, 635, 168, 170, 169, 191, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 651, 650, 641, 643, 654, 655, 652, 653, 656,
	658, 657, 659, 644, 645, 646, 637, 639, 640, 638,
	0, 0, 0, 192, 172, 176, 175, 647, 648, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 166, 167, 171, 173, 185,
	186, 183, 184, 187, 188, 189, 190, 181, 182, 174,
	177, 179, 180, 178, 634, 0, 660, 642, 636, 635,
	170, 169, 191, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 651, 650,
	641, 643, 654, 655, 652, 653, 656, 658, 657, 659,
	644, 645, 646, 637, 639, 640, 638, 0, 0, 192,
	172, 176, 175, 0, 648, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 166, 167, 171, 173, 185, 186, 183, 184, 187,
	188, 189, 190, 181, 182, 174, 177, 179, 180, 178,
	634, 0, 660, 642, 636, 635, 169, 191, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 651, 650, 641, 643, 654, 655,
	652, 653, 656, 658, 657, 659, 644, 645, 646, 637,
	639, 640, 638, 0, 192, 172, 176, 175, 191, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 166, 167, 171, 173,
	185, 186, 183, 184, 187, 188, 189, 190, 181, 182,
	174, 177, 179, 180, 178, 192, 172, 176, 175, 191,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 166, 167, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 0, 172, 176, 175,
	191, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 166, 167,
	171, 173, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 0, 172, 176,
	175, 0, 0, 0, 0, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	167, 171, 173, 185, 186, 183, 184, 187, 188, 189,
	190, 181, 182, 174, 177, 179, 180, 178, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 615, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 41, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 0, 91, 76,
	0, 0, 0, 634, 62, 608, 96, 636, 635, 614,
	57, 56, 58, 59, 72, 119, 82, 83, 71, 0,
	104, 105, 125, 87, 120, 0, 0, 0, 0, 0,
	94, 654, 655, 652, 653, 656, 658, 657, 659, 644,
	645, 646, 637, 639, 640, 638, 0, 0, 0, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 191, 0,
	0, 148, 112, 108, 102, 615, 84, 85, 86, 0,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 172, 176, 175, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 0, 0,
	614, 57, 56, 58, 59, 72, 119, 0, 0, 171,
	173, 185, 186, 183, 184, 187, 188, 189, 190, 181,
	182, 174, 177, 179, 180, 178, 82, 83, 71, 0,
	104, 105, 125, 87, 120, 0, 0, 0, 0, 0,
	94, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 44,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 80, 81, 0, 0, 0, 0, 0, 0, 0,
	0, 51, 95, 0, 93, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 92, 0, 0, 0,
	0, 148, 112, 108, 102, 0, 84, 85, 86, 191,
	0, 0, 0, 79, 52, 0, 0, 0, 77, 145,
	147, 0, 0, 0, 0, 0, 54, 55, 0, 64,
	65, 66, 67, 68, 69, 70, 0, 0, 0, 91,
	76, 0, 0, 0, 0, 62, 0, 96, 176, 175,
	842, 57, 56, 58, 59, 72, 119, 82, 83, 71,
	0, 104, 105, 125, 87, 120, 0, 0, 0, 0,
	0, 94, 185, 186, 183, 184, 187, 188, 189, 190,
	181, 182, 174, 177, 179, 180, 178, 0, 0, 0,
	44, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 80, 81, 0, 0, 0, 0, 0, 0,
	0, 0, 51, 95, 0, 93, 109, 110, 111, 106,
	107, 0, 0, 0, 0, 0, 0, 92, 0, 0,
	0, 0, 148, 112, 108, 102, 0, 84, 85, 86,
	0, 0, 0, 0, 79, 52, 0, 0, 0, 77,
	145, 147, 0, 0, 0, 0, 0, 54, 55, 0,
	64, 65, 66, 67, 68, 69, 70, 0, 0, 0,
	91, 76, 0, 0, 0, 0, 62, 0, 96, 0,
	0, 605, 57, 56, 58, 59, 72, 119, 82, 83,
	71, 0, 104, 105, 125, 87, 120, 0, 0, 0,
	0, 0, 94, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 44, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 80, 81, 0, 0, 0, 0, 0,
	0, 0, 0, 51, 95, 0, 93, 109, 110, 111,
	106, 107, 0, 0, 0, 0, 0, 0, 92, 0,
	0, 0, 0, 148, 112, 108, 102, 0, 84, 85,
	86, 0, 0, 0, 0, 79, 52, 0, 0, 0,
	77, 145, 147, 0, 0, 0, 0, 0, 54, 55,
	0, 64, 65, 66, 67, 68, 69, 70, 0, 0,
	0, 91, 76, 0, 0, 0, 0, 62, 0, 96,
	0, 0, 603, 57, 56, 58, 59, 72, 119, 82,
	83, 71, 0, 104, 105, 125, 87, 120, 0, 0,
	0, 0, 0, 94, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 44, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 80, 81, 0, 0, 0, 0,
	0, 0, 0, 0, 51, 95, 0, 93, 109, 110,
	111, 106, 107, 0, 0, 0, 0, 0, 0, 92,
	0, 0, 0, 0, 148, 112, 108, 102, 0, 84,
	85, 86, 0, 0, 0, 0, 79, 52, 0, 0,
	0, 77, 145, 147, 0, 0, 0, 0, 0, 54,
	55, 0, 64, 65, 66, 67, 68, 69, 70, 0,
	0, 0, 91, 76, 0, 0, 0, 0, 62, 0,
	96, 0, 0, 291, 57, 56, 58, 59, 72, 119,
	82, 83, 71, 0, 104, 105, 125, 87, 120, 0,
	0, 0, 0, 0, 94, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 191, 0, 0, 79, 52, 0,
	0, 0, 77, 41, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	422, 96, 172, 176, 175, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 185, 186, 183,
	184, 187, 188, 189, 190, 181, 182, 174, 177, 179,
	180, 178, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	0, 0, 0, 77, 145, 147, 0, 0, 0, 0,
	0, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 0, 0,
	62, 0, 96, 0, 0, 398, 57, 56, 58, 59,
	72, 119, 82, 83, 71, 0, 104, 105, 125, 87,
	120, 0, 0, 0, 0, 0, 94, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 44, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 80, 81, 0,
	0, 0, 0, 0, 0, 0, 0, 51, 95, 0,
	93, 109, 110, 111, 106, 107, 0, 0, 0, 0,
	0, 0, 92, 0, 0, 0, 0, 148, 112, 108,
	102, 0, 84, 85, 86, 0, 0, 0, 0, 79,
	52, 0, 0, 0, 77, 145, 147, 0, 0, 0,
	0, 0, 54, 55, 0, 64, 65, 66, 67, 68,
	69, 70, 0, 0, 0, 91, 76, 0, 0, 151,
	0, 62, 0, 96, 0, 0, 0, 57, 56, 58,
	59, 72, 119, 82, 83, 71, 0, 104, 105, 125,
	87, 120, 0, 0, 0, 0, 0, 94, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 44, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 80, 81,
	0, 0, 0, 0, 0, 0, 0, 0, 51, 95,
	0, 93, 109, 110, 111, 106, 107, 0, 0, 0,
	0, 0, 0, 92, 0, 0, 0, 0, 148, 112,
	108, 102, 0, 84, 85, 86, 0, 0, 0, 0,
	79, 52, 0, 0, 0, 77, 145, 147, 0, 0,
	0, 0, 0, 54, 55, 0, 64, 65, 66, 67,
	68, 69, 70, 0, 0, 0, 91, 76, 0, 0,
	149, 0, 62, 0, 96, 0, 0, 0, 57, 56,
	58, 59, 72, 119, 82, 83, 71, 0, 104, 105,
	125, 87, 120, 0, 0, 0, 0, 0, 94, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 44, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 80,
	81, 0, 0, 0, 0, 0, 0, 0, 0, 51,
	95, 0, 93, 109, 110, 111, 106, 107, 0, 0,
	0, 0, 0, 0, 92, 0, 0, 0, 0, 148,
	112, 108, 102, 0, 84, 85, 86, 0, 0, 0,
	0, 79, 52, 0, 0, 0, 77, 145, 147, 0,
	0, 0, 0, 0, 54, 55, 0, 64, 65, 66,
	67, 68, 69, 70, 0, 0, 0, 91, 76, 0,
	0, 143, 0, 62, 0, 96, 0, 0, 0, 57,
	56, 58, 59, 72, 119, 82, 83, 71, 0, 104,
	105, 125, 87, 120, 0, 0, 0, 0, 0, 94,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 44, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	80, 81, 0, 0, 0, 0, 0, 0, 0, 0,
	51, 95, 0, 93, 109, 110, 111, 106, 107, 0,
	0, 0, 0, 0, 0, 92, 0, 0, 0, 0,
	148, 112, 108, 102, 0, 84, 85, 86, 0, 0,
	0, 0, 79, 52, 0, 0, 0, 77, 145, 147,
	0, 0, 0, 0, 0, 54, 55, 0, 64, 65,
	66, 67, 68, 69, 70, 0, 0, 634, 91, 76,
	642, 636, 635, 0, 62, 0, 96, 0, 0, 0,
	57, 56, 58, 59, 72, 119, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 654, 655, 652, 653, 656,
	658, 657, 659, 644, 645, 646, 637, 639, 640, 638,
	82, 83, 71, 0, 104, 105, 125, 434, 120, 0,
	0, 0, 0, 0, 94, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 44, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 80, 81, 0, 0, 0,
	0, 0, 0, 0, 0, 51, 95, 0, 93, 109,
	110, 111, 106, 107, 0, 0, 0, 0, 0, 0,
	92, 0, 0, 0, 0, 148, 112, 108, 102, 0,
	84, 85, 86, 0, 0, 0, 0, 79, 52, 0,
	0, 0, 77, 145, 147, 0, 0, 0, 0, 0,
	54, 55, 0, 64, 65, 66, 67, 68, 69, 70,
	0, 0, 0, 91, 76, 0, 0, 0, 0, 62,
	0, 96, 0, 0, 0, 57, 56, 58, 59, 72,
	119, 82, 83, 71, 0, 104, 105, 125, 87, 120,
	0, 0, 0, 0, 0, 94, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 44, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 80, 81, 0, 0,
	0, 0, 0, 0, 0, 0, 51, 95, 0, 93,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 92, 0, 0, 0, 0, 148, 112, 108, 102,
	0, 84, 85, 86, 0, 0, 0, 0, 79, 52,
	104, 105, 125, 77, 41, 147, 0, 0, 0, 0,
	515, 54, 55, 0, 64, 65, 66, 67, 68, 69,
	70, 0, 0, 0, 91, 76, 0, 0, 0, 0,
	62, 0, 96, 0, 0, 0, 57, 56, 58, 59,
	72, 119, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 510, 0, 513, 109, 110, 111, 106, 107,
	0, 0, 0, 0, 0, 0, 516, 0, 0, 0,
	0, 508, 112, 108, 509, 104, 105, 125, 0, 0,
	0, 0, 0, 0, 0, 515, 0, 0, 0, 0,
	232, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 776, 522, 0, 511, 0, 0,
	0, 521, 520, 518, 519, 0, 0, 510, 0, 513,
	109, 110, 111, 106, 107, 0, 0, 0, 0, 0,
	0, 516, 0, 0, 0, 0, 508, 112, 108, 509,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 232, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	522, 0, 511, 0, 0, 0, 521, 520, 518, 519,
}
var yyPact = [...]int{

	-1000, -1000, 2348, -1000, -1000, -1000, -1000, 320, 492, 593,
	149, -1000, 350, -1000, -1000, 870, -1000, 269, -1000, -1000,
	319, 269, 7510, 7379, 7248, 379, 194, 773, 7641, -1000,
	5668, 317, 316, -1000, -1000, 423, 7641, 868, 80, 867,
	863, 7641, -1000, -1000, -1000, -1000, 658, -1000, 657, -1000,
	4936, 315, 7641, 439, 279, 279, 7641, 7641, 7641, 7641,
	-1000, -1000, 7927, -1000, 7641, 7641, 7641, 7641, 7641, 7641,
	7641, 314, -1000, -1000, 231, 226, 834, 7641, 626, 398,
	312, 309, 7641, 7641, 308, 7641, 7641, -1000, 225, -1000,
	-1000, 819, 712, -1000, 224, 307, 6855, -1000, 222, 211,
	-1000, 471, 832, 515, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 163, 192, -1000, 508, -1000, -1000, 422,
	-1000, 265, 330, -1000, 832, -1000, 144, 618, 545, -1000,
	649, 832, -1000, 861, -1000, 43, 4051, 340, 7927, 269,
	4837, 7641, -1000, -1000, 5621, -1000, 80, 742, 495, -1000,
	5574, -1000, 378, 1667, 5756, -1000, 139, -1000, -1000, 322,
	100, 80, 38, 93, 5756, -1000, -1000, -1000, -1000, -1000,
	7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641,
	7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641,
	7641, 398, 336, 279, 7641, 306, -1000, 5527, 376, 860,
	-1000, 637, -1000, -1000, 4936, 5480, -1000, -1000, 7117, 7641,
	7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641, 7641,
	7641, 177, -1000, -1000, -1000, -1000, -1000, 471, 494, 832,
	507, 506, -1000, -1000, -110, -110, -17, -110, 264, 5436,
	262, -110, -110, -110, -110, -110, -110, -110, -1000, 6986,
	-1000, 7641, 7641, 7641, 310, 757, 781, -1000, 289, 7796,
	279, 5968, 59, -1000, 504, -1000, 471, 490, 832, 625,
	163, 192, 503, 7641, 7641, 5756, 5756, 7641, 5756, 5756,
	7641, 512, 757, 720, -1000, 695, 7641, 6855, 195, 51,
	5392, 279, 7641, 7641, 859, 280, 471, 56, 7641, 7641,
	163, 422, 66, 280, 7641, 374, -1000, -1000, 2217, 471,
	-1000, 653, 75, -1000, 648, 832, 70, -1000, 604, 832,
	854, 589, 35, 8087, -1000, -1000, -1000, -1000, -1000, 302,
	4837, -1000, -1000, 782, 372, 48, 5756, 305, -1000, -1000,
	-1000, -1000, -1000, -1000, 194, -1000, 7641, -1000, -1000, 812,
	-1000, 8087, -1000, 7641, 7641, 7641, 7641, 7641, 5927, -18,
	6459, 6984, -9, -9, -9, -17, -110, -17, -17, 142,
	142, 1101, 1101, 1101, 1101, 133, 133, 133, 133, -1000,
	7641, -1000, 77, -1000, -1000, 1264, 763, 853, 3920, -1000,
	-1000, -1000, 300, -1000, 602, 611, 7641, 5968, 185, 5968,
	5968, 5968, 5968, 5968, 5968, 5968, 5968, 5968, 5968, 5968,
	5968, 74, -1000, -1000, 299, 832, 471, 59, 59, -1000,
	-1000, -1000, -1000, -110, 188, 5756, 184, -1000, -1000, -1000,
	-1000, 799, 852, 5311, 208, 395, -1000, 198, -1000, -1000,
	163, 192, -1000, 7641, 280, 169, 832, 471, -1000, 163,
	169, 64, -1000, 4936, -1000, 969, 261, 5263, 176, -1000,
	-1000, -1000, 175, 255, -1000, -1000, 6724, 6593, -1000, -1000,
	159, 155, -1000, -1000, 6181, 280, -1000, -1000, -1000, -1000,
	154, 5219, -1000, -1000, -1000, -1000, 5171, -1000, 2086, -1000,
	280, -1000, -1000, 618, 850, 535, -1000, 545, 849, 531,
	-1000, 846, 8087, -1000, 5712, -1000, -1000, 471, 480, 832,
	298, 8087, -1000, -1000, -1000, -1000, 651, 501, 8087, 8087,
	8087, 8087, 8087, 254, -1000, -1000, 4706, -1000, -1000, -1000,
	-1000, 370, 369, -1000, 5123, 28, 296, -1000, 5756, 6050,
	6298, 5842, 5968, 5075, 7641, 368, 279, 256, 256, 49,
	16, 737, 295, 609, 546, -1000, 471, 475, 832, 421,
	602, -1000, 4936, -1000, 398, -27, 177, 177, 471, -1000,
	-1000, -1000, 147, -1000, -1000, -1000, -1000, -1000, 7641, -1000,
	-1000, 204, 197, 280, 7641, 7641, 163, 5029, -1000, -1000,
	-1000, 471, 59, -1000, -1000, 7641, -1000, -1000, -1000, -1000,
	-1000, -1000, 4981, 279, 5756, 279, -1000, -1000, -1000, 37,
	250, -1000, -1000, 4936, 279, 7641, -1000, 280, 280, -1000,
	-1000, 280, 280, -1000, -1000, -1000, -1000, -1000, 843, -1000,
	-1000, 840, -1000, -1000, 8087, 8087, 8087, 8087, 8087, 8087,
	8087, 8087, 8087, 8087, 8087, 8087, 8087, 8087, 8087, 8087,
	8087, 8087, 8087, 8087, 8087, 8087, 8087, 8087, 8087, 8087,
	8012, 832, 471, 8087, 132, 45, 4937, 520, 724, -66,
	-66, 1, 1, 4893, 365, -1000, 4182, -1000, -1000, -1000,
	269, 7641, 7641, 438, -1000, 769, -1000, -1000, 8087, 609,
	-1000, 6009, -1000, -1000, 532, -1000, 279, 294, 532, 4575,
	838, 8087, 691, 292, 609, 249, -8, -1000, 80, -1000,
	-1000, -1000, 420, 602, 832, 471, -1000, -30, -1000, -1000,
	7641, -1000, 27, -1000, 220, -1000, 4849, 540, 7641, 7641,
	-1000, 131, 1218, -1000, -1000, -1000, 6462, -1000, -1000, -1000,
	6312, -1000, -1000, 5756, -1000, -1000, -1000, -1000, -1000, -1000,
	1854, 1, 1, -66, -66, -66, -66, 1792, 6178, 7632,
	-67, -67, 1, 5885, 1085, 5799, 1582, 1747, 1060, 1060,
	1060, 1060, -43, -43, -43, -43, 8087, 1729, 471, 248,
	-1000, -1000, 8087, 8087, -1000, -1000, -1000, -1000, 457, -1000,
	3789, 364, 363, 5756, -1000, 7641, 285, 436, 362, 749,
	-1000, 244, 7641, 243, 256, -1000, 177, 240, -1000, -1000,
	-1000, -42, -1000, -1000, -1000, -1000, 238, 659, 609, 469,
	-1000, -30, 471, 1081, 602, 280, 5968, -1000, -1000, 78,
	540, 7641, -1000, 59, 393, -1000, 107, 105, -1000, -1000,
	-1000, 5756, 279, -1000, -1000, 88, 8087, -1000, 1601, 5712,
	-1000, 269, 4837, 452, 361, -1000, -1000, 1518, -1000, -1000,
	-1000, -1000, -1000, 360, 659, 6009, 4444, -1000, -31, 4444,
	3658, 8087, 419, 602, 417, 411, 271, -1000, 811, -1000,
	406, -1000, -1000, -1000, 42, -1000, 742, 619, -1000, 825,
	602, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	7641, 540, -1000, 103, -1000, -1000, -1000, -1000, 543, -1000,
	88, 8087, -1000, -1000, 430, 269, 333, -1000, 7641, -1000,
	-1000, -1000, 409, -1000, -1000, -1000, -1000, -1000, 358, -1000,
	-1000, -1000, -1000, -1000, 212, -44, -1000, 810, -1000, 818,
	80, -1000, -53, -4, -1000, 101, 540, -1000, -1000, -1000,
	59, 5712, 4837, 355, 326, -1000, 235, -1000, 4182, -1000,
	3527, -1000, 3396, 809, 3265, 3134, -45, -1000, 808, 8087,
	-46, -69, -71, 817, 8087, -1000, 602, -1000, 622, -1000,
	-1000, -1000, -1000, -1000, -1000, 4182, -1000, 4182, 3003, 354,
	-1000, 233, -1000, -1000, -1000, 199, -1000, -1000, -1000, 803,
	8087, 8087, -1000, -1000, -1000, 381, 622, -1000, 353, 331,
	668, 761, 500, -1000, -1000, 4313, -1000, -1000, -1000, -1000,
	802, -72, -1000, -1000, 268, -1000, -1000, -1000, -1000, 602,
	619, 816, 4182, -1000, -1000, -1000, 408, -1000, 8087, 609,
	-65, -1000, 784, -1000, -1000, 2872, -1000, -1000, 213, 602,
	-1000, 281, 2741, 346, -1000, -1000, -1000, -1000, -1000, -1000,
	723, 2610, -1000, 723, -1000, 257, -1000, -1000, 602, -1000,
	796, 102, -1000, 397, -1000, 2479, -1000,
}
var yyPgo = [...]int{

	0, 1196, 51, 40, 39, 102, 1195, 1194, 15, 514,
	1233, 88, 1257, 91, 60, 61, 799, 1229, 1193, 33,
	1192, 1188, 1187, 74, 1186, 48, 84, 1177, 1176, 1148,
	1147, 114, 1146, 1145, 30, 1144, 32, 45, 52, 0,
	1143, 1142, 1140, 5, 1139, 1138, 517, 1137, 1136, 53,
	23, 27, 24, 1135, 46, 44, 1134, 13, 1133, 1132,
	1131, 1130, 1127, 1126, 1124, 1122, 1121, 1102, 1101, 1100,
	1099, 11, 1097, 1096, 1095, 1094, 1092, 1091, 43, 1089,
	1088, 28, 17, 1087, 1078, 1076, 1074, 1073, 1071, 14,
	1070, 1067, 1060, 1058, 1057, 1056, 2, 1053, 1051, 36,
	1049, 1048, 7, 1047, 22, 1045, 6, 1043, 1042, 1038,
	1031, 20, 1029, 1028, 1025, 54, 38, 18, 1024, 1023,
	1022, 1019, 1018, 21, 1016, 376, 1013, 26, 1012, 1009,
	1006, 1005, 1004, 1003, 1000, 997, 996, 990, 986, 982,
	980, 8, 976, 973, 972, 971, 969, 968, 1, 967,
	964, 962, 12, 37, 959, 958, 957, 955, 952, 616,
	42, 951, 19, 950, 947, 946, 945, 943, 942, 940,
	935, 934, 933, 932, 928, 925, 924, 923, 16, 922,
	921, 919, 918, 917, 916, 41, 915, 908, 907, 906,
	903, 902, 3, 901, 900, 899, 937, 34, 898, 897,
	29, 4, 894, 892, 890, 884, 883, 882, 844,
}
var yyR1 = [...]int{

	0, 53, 38, 38, 39, 39, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 40, 40, 2,
	2, 2, 2, 41, 41, 3, 3, 3, 3, 42,
	42, 4, 4, 4, 4, 56, 56, 43, 43, 22,
	22, 22, 22, 23, 23, 24, 58, 59, 24, 62,
	63, 24, 66, 67, 24, 69, 70, 24, 72, 73,
	74, 24, 76, 24, 24, 24, 24, 24, 24, 24,
	24, 24, 24, 24, 24, 24, 24, 24, 24, 24,
	83, 24, 24, 24, 24, 24, 86, 88, 90, 91,
	92, 86, 87, 94, 87, 93, 93, 95, 95, 97,
	98, 96, 80, 80, 99, 54, 55, 102, 102, 103,
	103, 105, 100, 109, 101, 113, 101, 107, 107, 107,
	107, 108, 108, 112, 114, 114, 110, 110, 115, 115,
	81, 81, 52, 52, 52, 75, 75, 82, 82, 85,
	85, 84, 84, 77, 77, 77, 77, 116, 118, 116,
	119, 116, 117, 117, 68, 68, 60, 120, 60, 64,
	121, 64, 61, 61, 65, 65, 106, 106, 122, 122,
	123, 123, 124, 124, 124, 124, 125, 125, 125, 126,
	126, 127, 127, 127, 127, 44, 44, 25, 25, 25,
	45, 45, 45, 45, 111, 111, 130, 128, 128, 128,
	135, 128, 133, 137, 137, 138, 138, 139, 139, 140,
	140, 141, 141, 142, 145, 145, 146, 146, 144, 143,
	143, 147, 147, 136, 136, 129, 129, 134, 134, 149,
	149, 148, 148, 148, 148, 148, 148, 131, 131, 131,
	131, 132, 132, 79, 79, 71, 71, 151, 150, 150,
	152, 152, 154, 154, 156, 155, 155, 155, 157, 158,
	157, 161, 159, 13, 13, 13, 163, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 164, 13, 165, 13, 166,
	13, 167, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
	13, 168, 13, 169, 170, 13, 171, 13, 13, 13,
	13, 13, 13, 13, 13, 13, 13, 173, 13, 13,
	13, 13, 13, 13, 13, 177, 13, 179, 13, 78,
	78, 78, 78, 174, 174, 174, 174, 175, 175, 104,
	178, 178, 180, 180, 180, 180, 181, 21, 182, 21,
	183, 21, 184, 21, 186, 21, 187, 21, 188, 21,
	189, 21, 9, 9, 9, 9, 89, 89, 89, 160,
	160, 191, 193, 190, 190, 194, 194, 195, 172, 172,
	172, 176, 176, 176, 162, 162, 5, 5, 5, 5,
	5, 5, 5, 5, 5, 5, 5, 5, 6, 26,
	196, 196, 196, 196, 196, 196, 196, 196, 196, 196,
	198, 198, 198, 198, 198, 198, 198, 198, 198, 198,
	198, 198, 198, 198, 198, 198, 198, 198, 198, 198,
	198, 198, 198, 198, 198, 198, 198, 198, 198, 198,
	198, 198, 198, 33, 33, 33, 33, 27, 27, 27,
	27, 27, 27, 27, 197, 197, 200, 200, 199, 199,
	199, 199, 12, 12, 57, 57, 14, 15, 16, 17,
	17, 202, 202, 203, 153, 204, 204, 206, 205, 201,
	201, 201, 185, 185, 207, 207, 10, 20, 20, 18,
	18, 18, 19, 19, 19, 8, 8, 8, 7, 7,
	11, 11, 192, 192, 208, 208, 208, 37, 37, 51,
	51, 50, 50, 36, 36, 36, 49, 49, 48, 48,
	48, 48, 48, 48, 48, 48, 46, 46, 46, 46,
	31, 31, 31, 31, 31, 31, 32, 32, 32, 35,
	35, 35, 35, 35, 35, 35, 35, 47, 47, 34,
	34, 28, 28, 29, 30,
}
var yyR2 = [...]int{

	0, 1, 2, 0, 1, 3, 1, 1, 1, 4,
	3, 5, 4, 3, 4, 4, 2, 3, 1, 1,
	3, 2, 4, 3, 1, 1, 3, 2, 4, 3,
	1, 1, 3, 2, 4, 5, 4, 2, 0, 1,
	1, 1, 4, 1, 2, 3, 0, 0, 7, 0,
	0, 10, 0, 0, 5, 0, 0, 7, 0, 0,
	0, 12, 0, 4, 2, 3, 2, 3, 2, 3,
	3, 2, 3, 3, 3, 1, 2, 5, 8, 8,
	0, 6, 1, 6, 3, 3, 0, 0, 0, 0,
	0, 13, 0, 0, 5, 1, 0, 1, 2, 0,
	0, 10, 1, 3, 1, 1, 1, 0, 1, 0,
	1, 0, 10, 0, 8, 0, 7, 1, 2, 1,
	2, 0, 2, 1, 0, 2, 0, 2, 1, 3,
	0, 2, 1, 2, 4, 1, 4, 1, 4, 1,
	4, 3, 5, 3, 4, 4, 5, 0, 0, 6,
	0, 5, 1, 1, 1, 4, 0, 0, 5, 0,
	0, 6, 0, 2, 0, 3, 1, 0, 1, 3,
	4, 6, 0, 1, 1, 1, 2, 3, 3, 1,
	3, 1, 1, 2, 2, 3, 1, 1, 2, 4,
	3, 5, 1, 3, 2, 0, 0, 4, 2, 1,
	0, 9, 3, 1, 3, 1, 3, 0, 1, 1,
	2, 2, 2, 3, 1, 3, 1, 1, 3, 4,
	3, 0, 1, 1, 3, 1, 1, 0, 1, 1,
	2, 1, 1, 1, 1, 1, 1, 3, 5, 1,
	3, 5, 4, 3, 1, 0, 1, 0, 4, 1,
	2, 1, 4, 3, 0, 3, 1, 1, 0, 0,
	2, 0, 4, 6, 3, 4, 0, 7, 2, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 2, 2, 2, 2, 0, 4, 0, 4, 0,
	4, 0, 4, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 2, 2, 2, 2,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 1,
	1, 0, 5, 0, 0, 7, 0, 5, 1, 2,
	2, 2, 2, 2, 2, 2, 2, 0, 3, 1,
	1, 1, 3, 2, 1, 0, 10, 0, 11, 2,
	2, 4, 4, 4, 4, 4, 4, 4, 3, 1,
	0, 4, 3, 4, 1, 2, 0, 3, 0, 5,
	0, 4, 0, 5, 0, 5, 0, 5, 0, 5,
	0, 3, 1, 1, 3, 2, 1, 3, 2, 1,
	1, 0, 0, 6, 1, 2, 0, 2, 0, 2,
	1, 0, 1, 1, 0, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 3, 2, 3, 1,
	1, 1, 1, 3, 2, 4, 3, 1, 1, 1,
	4, 3, 3, 3, 3, 3, 3, 2, 2, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 4, 5,
	2, 2, 3, 1, 1, 3, 2, 1, 1, 1,
	1, 3, 3, 1, 0, 2, 0, 1, 5, 3,
	3, 1, 1, 1, 3, 3, 1, 1, 1, 5,
	1, 2, 0, 0, 4, 4, 4, 0, 2, 1,
	1, 0, 1, 2, 3, 3, 1, 4, 4, 1,
	1, 1, 1, 2, 1, 4, 4, 1, 1, 4,
	0, 1, 1, 1, 4, 4, 1, 1, 3, 1,
	2, 3, 1, 1, 4, 0, 0, 2, 5, 3,
	3, 1, 6, 4, 4, 2, 2, 2, 1, 2,
	1, 4, 3, 3, 6, 3, 1, 1, 1, 4,
	4, 4, 2, 2, 4, 2, 2, 1, 3, 1,
	1, 3, 3, 3, 3,
}
var yyChk = [...]int{

	-1000, -53, -38, -1, -23, -54, -55, 51, 79, 44,
	-56, -24, 10, -100, -101, 38, 119, 7, 21, 20,
	23, 30, 34, 35, 39, -78, 46, 98, 19, 14,
	-12, 48, 25, 27, 121, 40, 43, 36, -104, -107,
	-112, 97, -14, -13, 37, 52, 99, 53, 100, 54,
	-17, 59, 92, -16, 104, 105, 130, 129, 131, 132,
	-57, -159, 123, -35, 107, 108, 109, 110, 111, 112,
	113, 6, 133, -27, -174, -175, 118, 96, -18, 91,
	49, 50, 4, 5, 84, 85, 86, 11, -33, -30,
	-5, 117, 74, 62, 18, 60, 125, -19, -20, -21,
	-28, -39, 82, -9, 8, 9, 66, 67, 81, 63,
	64, 65, 80, -8, -51, -207, -10, -185, -7, 134,
	12, 123, -39, 119, 82, 10, -40, 37, 38, -2,
	-39, 82, 121, 135, 122, 10, -43, -57, 123, -66,
	-69, 123, -57, 121, -12, 97, -104, 98, 79, 121,
	-12, 121, -13, -17, -12, 121, -44, -25, 12, 134,
	-45, -104, 12, -79, -12, 121, 149, 150, 87, 89,
	88, 151, 128, 152, 163, 130, 129, 164, 167, 165,
	166, 161, 162, 155, 156, 153, 154, 157, 158, 159,
	160, 90, 127, 123, 123, -83, 119, -12, 10, -102,
	128, 10, 10, -13, -17, -12, 52, 52, 136, 137,
	138, 139, 148, 140, 141, 142, 143, 144, 145, 146,
	147, 123, -12, 104, 105, -16, -17, -39, 79, 82,
	-9, -10, 98, -16, -12, -12, -12, -12, -159, -12,
	-78, -12, -12, -12, -12, -12, -12, -12, -172, 123,
	-57, -173, 125, 125, -176, 17, -46, -31, 12, 76,
	77, -12, 57, -160, -9, -190, -39, 79, 82, -19,
	-8, -51, -10, 123, 123, -12, -12, 123, -12, -12,
	125, -46, 17, 17, 75, -46, 125, 123, -49, -48,
	-12, 128, 125, 125, 82, -181, -39, 78, 125, 119,
	-8, 134, 78, -189, 119, 124, 121, 119, -38, -39,
	121, 135, -41, -3, -39, 82, -42, -4, -39, 82,
	29, -39, 10, 136, -22, 120, -23, -54, -55, 51,
	-58, 122, -57, -23, -71, -150, -12, -76, 121, -102,
	121, 121, 121, 121, 135, -14, 119, -17, 121, 135,
	-102, 136, 121, 135, -164, -165, -166, -167, -12, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -160,
	-169, 122, -80, -99, -17, -17, -13, 123, -43, 121,
	121, 10, -177, -108, 55, -113, 58, -12, 128, -12,
	-12, -12, -12, -12, -12, -12, -12, -12, -12, -12,
	-12, -50, -36, -17, 59, 82, -39, 78, 78, 124,
	124, 124, 124, -12, -11, -12, -11, 118, -31, -31,
	17, 125, 57, -12, 11, -17, -192, -208, -185, -37,
	-8, -51, 10, 119, -161, 78, 82, -39, 57, -8,
	78, -47, -34, -17, -13, -17, -13, -12, -11, 117,
	75, 75, -11, -49, 126, -200, 135, 58, -15, -17,
	-11, -11, 10, -125, 123, -183, -37, -185, 10, 52,
	-11, -12, -37, -185, 10, -125, -12, 121, -38, 120,
	-182, -2, 121, 135, 29, -39, 121, 135, 29, -39,
	10, 29, 136, -26, -196, -5, -29, -39, 79, 82,
	60, 125, -6, 62, -198, 18, 74, -9, 131, 132,
	130, 129, 123, 123, -23, -62, -67, 21, 121, 135,
	-77, 119, 122, -25, -12, 12, -179, -26, -12, -12,
	-12, -12, -12, -12, -171, 124, 135, 29, 29, -84,
	10, 120, -105, 123, -109, -89, -39, 79, 82, -114,
	55, -13, -17, -17, 91, 124, 135, 123, -39, -168,
	126, 126, -32, 10, 13, 12, 10, 120, 125, 120,
	-201, -205, -204, -206, 125, 119, -8, -12, -162, -125,
	-185, -39, -191, -185, 124, 135, 124, 124, 124, 126,
	126, 124, -12, 128, -12, 128, 126, 126, 124, -126,
	-78, -127, -13, -17, 128, 83, -125, -184, -186, 126,
	120, -187, -188, 120, 120, -125, -3, 10, 29, -4,
	10, 29, 10, -26, 125, 130, 129, 164, 167, 165,
	166, 151, 128, 152, 161, 162, 163, 88, 89, 87,
	150, 149, 155, 156, 153, 154, 157, 159, 158, 160,
	127, 82, -39, 123, -197, -199, -196, 17, 78, -196,
	-196, -196, -196, -196, 124, -59, -43, -68, -23, 122,
	-70, -72, -151, -116, 121, -116, 121, 120, 136, 123,
	122, -12, 121, -99, -52, -17, 128, 59, -52, 124,
	135, 136, -86, 41, 123, -106, -122, -123, -124, 60,
	61, -89, -110, 56, 82, -39, 119, -115, -89, -160,
	136, -36, -50, -157, -158, 126, -12, -202, 125, 125,
	-125, -11, -12, 120, -192, -34, 58, -15, -15, 124,
	135, 124, -15, -12, -125, -125, -125, -125, 10, 10,
	-196, -196, -196, -196, -196, -196, -196, -196, -196, -196,
	-196, -196, -196, -196, -196, -196, -196, -196, -196, -196,
	-196, -196, -196, -196, -196, -196, 122, -196, -39, -197,
	126, -200, 135, 58, 10, 52, 124, 121, -60, -63,
	-43, -57, -71, -12, 120, 32, 33, -116, 31, -116,
	-26, -106, -170, -81, 58, -17, 123, -81, -85, -23,
	122, 10, -26, -87, 42, 123, -106, 124, 135, -102,
	119, -115, -39, -111, 135, -163, -12, 124, -155, -154,
	-152, 125, -153, 57, 126, -153, -11, -11, 126, 120,
	-193, -12, 128, -127, 126, -196, 122, 124, -196, -196,
	-61, 93, 94, -64, 22, 121, 121, -12, -117, 122,
	121, 120, 121, 31, 124, -12, 124, -52, -50, 124,
	-43, 136, -94, -88, 124, -178, 44, -123, -103, 83,
	-111, 120, -128, -129, -132, -133, -134, -149, 47, 38,
	44, -148, 103, 102, 101, 98, 99, 100, -89, -162,
	125, -156, -153, -11, -192, 120, 126, 126, -194, -15,
	-196, 58, -57, -23, -65, 93, 94, 121, -73, -117,
	-119, 121, -178, -82, -23, 122, 124, -82, 28, -26,
	119, -89, 119, 119, 123, 12, 120, -130, 121, 135,
	-104, -148, 10, -137, -89, -11, -152, 126, -203, -195,
	57, -196, -120, 95, -57, 122, -71, -118, -43, 119,
	-43, 121, -43, -90, -43, -43, -180, 12, 128, 136,
	-131, 12, 10, -102, 136, -138, 135, 121, 119, 126,
	-201, -192, -23, 121, 122, -43, 124, -43, -43, 26,
	120, 12, 120, 120, 124, 135, 12, -26, 121, 135,
	136, 136, 10, -26, -89, -139, -140, -141, -142, -143,
	-144, -146, -89, 10, -121, -74, 120, 121, 124, 12,
	128, 12, -26, -26, -135, 120, -141, 121, 121, 45,
	29, 78, -43, -75, -23, 122, -91, 12, 136, 123,
	-145, -89, -147, -148, 10, -43, 119, -26, -106, 135,
	10, 24, -43, 124, -89, 121, 120, -136, 121, 119,
	-92, -43, -93, -95, -96, 41, 120, -96, 123, -89,
	-97, 12, 124, -98, 119, -43, 120,
}
var yyDef = [...]int{

	3, -2, 1, 2, 6, 7, 8, 0, 0, 0,
	0, 43, 4, 105, 106, 0, 38, 0, 52, 55,
	0, 0, 0, 0, 0, 0, 0, 382, 0, 75,
	0, 0, 0, 80, 82, 0, 0, 0, 107, 0,
	0, 344, 482, 483, 359, 117, 0, 119, 0, 123,
	-2, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	319, 320, 0, 328, 0, 0, 0, 0, 0, 0,
	0, 398, 337, 339, 340, 341, 401, 0, 490, 0,
	0, 0, 0, 0, 0, 0, 0, 467, 468, 469,
	470, 0, 0, 473, 408, 0, 536, 509, 510, 511,
	463, -2, 0, 0, 406, 407, 409, 410, 411, 412,
	413, 414, 415, -2, 0, 514, 0, 380, 517, 529,
	518, 0, 0, 3, 0, 4, 0, 0, 0, 18,
	19, 0, 16, 0, 44, 0, 0, 46, 0, 0,
	0, 245, 62, 64, 0, 344, 107, 382, 0, 66,
	0, 68, 483, -2, 0, 71, 0, 186, 187, 0,
	0, 107, 192, 0, 244, 76, 285, 287, 289, 291,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 323, 0, 0, 0, 38, 0, 0, 345,
	108, 121, 115, -2, -2, 0, 118, 120, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 535, 268, 281, 283, 282, 488, -2, 0, 0,
	0, 0, 382, 284, 306, 307, 308, 309, 320, 0,
	0, 329, 330, 331, 332, 333, 334, 335, 336, 0,
	400, 0, 520, 520, 0, 402, 403, 548, 550, 0,
	0, 343, 0, 261, 389, 390, 383, 0, 0, 394,
	-2, 0, 0, 0, 0, 562, 563, 0, 565, 566,
	520, 0, 0, 0, 417, 0, 520, 536, 0, 476,
	541, 0, 520, 520, 0, 0, -2, 0, 520, 0,
	-2, 530, 0, 0, 0, 0, 10, 3, 0, -2,
	13, 0, 0, 24, 25, 0, 0, 30, 31, 0,
	0, 21, 0, 0, 37, 45, 39, 40, 41, 0,
	0, 49, 53, 0, 0, 246, 249, 0, 65, 345,
	67, 69, 70, 72, 0, 188, 0, 486, 73, 0,
	347, 0, 74, 0, 0, 0, 0, 0, 293, 294,
	295, 296, 297, 298, 299, 300, 301, 302, 303, 304,
	305, -2, -2, -2, -2, -2, -2, -2, -2, 318,
	0, 326, 0, 102, 104, -2, 483, 0, 0, 84,
	85, 111, 0, 113, 0, 124, 0, 264, 0, 269,
	270, 271, 272, 273, 274, 275, 276, 277, 278, 279,
	280, 0, 532, 533, 0, 0, -2, 0, 0, 321,
	484, 485, 399, 338, 0, 521, 0, 342, 549, 546,
	547, 0, 0, 0, 467, 0, -2, 522, 523, 526,
	502, 0, 527, 0, 404, 0, 0, 385, 391, 513,
	0, 0, 567, -2, -2, -2, 483, 0, 0, 471,
	416, 472, 0, 0, 358, 537, 477, 0, 545, 487,
	0, 0, 5, 367, 0, 0, 372, -2, -2, 574,
	0, 0, 376, -2, -2, 381, 0, 9, 0, 12,
	0, 17, 14, 0, 0, 27, 15, 0, 0, 33,
	20, 0, 0, 36, 419, 420, 421, -2, 0, 0,
	0, 474, 427, 428, 429, 408, 0, 0, 0, 0,
	0, 0, 0, 0, 47, 38, 0, 56, 58, 247,
	63, 147, 147, 185, 0, 190, 0, 193, 243, 286,
	288, 290, 292, 0, 0, 0, 0, 0, 0, 0,
	0, 86, 0, -2, 126, 122, 386, 0, 0, 0,
	0, -2, -2, 265, 0, 0, 535, 535, -2, -2,
	354, 353, 0, 556, 557, 558, 552, 553, 0, 555,
	492, 499, 500, 0, 520, 0, 503, 0, 262, 405,
	504, 384, 0, 505, 559, 0, 560, 561, 564, 356,
	355, 357, 539, 0, 540, 0, 507, 508, 176, 0,
	0, 179, -2, -2, 0, 0, 371, 0, 0, 515,
	516, 0, 0, 519, 11, 369, 23, 26, 0, 29,
	32, 0, 22, 35, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, -2, 474, 0, 476, 481, 0, 0, 437,
	438, 460, 461, 0, 0, 156, 50, 54, 154, 38,
	0, 245, 0, 0, 147, 0, 147, 189, 0, -2,
	324, 327, 77, 103, 130, 132, 0, 0, 130, 0,
	0, 0, 92, 0, -2, 0, 166, 168, 107, 173,
	174, 175, 0, 0, 0, 388, 195, 125, 128, 266,
	0, 531, 0, 322, 0, 551, 0, 489, 520, 520,
	498, 0, 0, 528, 392, 568, 0, 543, 544, 177,
	0, 178, 183, 184, 373, 375, 377, 379, 28, 34,
	0, 431, 432, 433, 434, 435, 436, 439, 440, 441,
	442, 443, 444, 445, 446, 447, 448, 449, -2, -2,
	-2, -2, -2, -2, -2, -2, 0, 0, -2, 0,
	426, 475, 477, 0, 418, 573, 462, 42, 162, 159,
	0, 0, 0, 248, 143, 0, 0, 0, 0, 0,
	191, 0, 0, 0, 0, 133, 535, 0, 81, 139,
	38, 0, 141, 83, 93, 87, 0, 360, 172, 109,
	195, 127, 387, 227, 0, 404, 263, 534, 260, -2,
	257, 520, 251, 0, 0, 491, 0, 0, 524, 525,
	396, 538, 0, 180, 430, 458, 0, 425, 479, 480,
	48, 0, 0, 164, 0, 57, 59, 0, 150, 152,
	153, 144, 145, 0, 360, 325, 0, 131, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 169, 0, 110,
	227, 116, 194, 196, 0, 199, 0, -2, 226, 0,
	0, 229, 231, 232, 233, 234, 235, 236, 129, 267,
	520, 0, 250, 0, 493, 554, 496, 495, 393, 542,
	459, 0, 157, 163, 0, 0, 0, 155, 245, 148,
	38, 146, 0, 78, 137, 38, 134, 79, 0, 142,
	38, 88, 38, 38, 0, 170, 114, 0, 198, 0,
	107, 230, 0, 0, 203, 0, 255, 253, -2, 395,
	0, 478, 0, 0, 0, 38, 0, 38, 151, 38,
	0, 140, 0, 0, 0, 0, 0, 364, 0, 0,
	0, 239, 0, 0, 0, 202, 0, 205, 207, 252,
	494, 397, 158, 51, 160, 165, 60, 149, 0, 0,
	94, 0, 112, 346, 361, 0, 365, 171, 197, 0,
	0, 0, 200, 242, 204, 0, 208, 209, 0, 0,
	217, 0, 0, -2, 38, 0, 348, 138, 89, 362,
	0, 237, 240, 241, 0, 206, 210, 211, 212, 0,
	221, 0, 161, 61, 135, 38, 0, 363, 0, -2,
	213, 214, 0, -2, 218, 0, 38, 238, 0, 0,
	219, 0, 0, 0, 215, 136, 90, 201, 223, 38,
	96, 0, 91, 95, 97, 0, 224, 98, 0, 99,
	0, 0, 100, 0, 38, 0, 101,
}
var yyTok1 = [...]int{

	1, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 131, 117, 3, 134, 166, 128, 3,
	123, 124, 164, 130, 135, 129, 163, 165, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 122, 121,
	157, 136, 159, 127, 133, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 125, 3, 126, 152, 3, 118, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 119, 151, 120, 132,
}
var yyTok2 = [...]int{

	2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
	12, 13, 14, 15, 16, 17, 18, 19, 20, 21,
	22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
	32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
	42, 43, 44, 45, 46, 47, 48, 49, 50, 51,
	52, 53, 54, 55, 56, 57, 58, 59, 60, 61,
	62, 63, 64, 65, 66, 67, 68, 69, 70, 71,
	72, 73, 74, 75, 76, 77, 78, 79, 80, 81,
	82, 83, 84, 85, 86, 87, 88, 89, 90, 91,
	92, 93, 94, 95, 96, 97, 98, 99, 100, 101,
	102, 103, 104, 105, 106, 107, 108, 109, 110, 111,
	112, 113, 114, 115, 116, 137, 138, 139, 140, 141,
	142, 143, 144, 145, 146, 147, 148, 149, 150, 153,
	154, 155, 156, 158, 160, 161, 162, 167,
}
var yyTok3 = [...]int{
	0,
}

var yyErrorMessages = [...]struct {
	state int
	token int
	msg   string
}{}

//line yaccpar:1

/*	parser for yacc output	*/

var (
	yyDebug        = 0
	yyErrorVerbose = false
)

type yyLexer interface {
	Lex(lval *yySymType) int
	Error(s string)
}

type yyParser interface {
	Parse(yyLexer) int
	Lookahead() int
}

type yyParserImpl struct {
	lval  yySymType
	stack [yyInitialStackSize]yySymType
	char  int
}

func (p *yyParserImpl) Lookahead() int {
	return p.char
}

func yyNewParser() yyParser {
	return &yyParserImpl{}
}

const yyFlag = -1000

func yyTokname(c int) string {
	if c >= 1 && c-1 < len(yyToknames) {
		if yyToknames[c-1] != "" {
			return yyToknames[c-1]
		}
	}
	return __yyfmt__.Sprintf("tok-%v", c)
}

func yyStatname(s int) string {
	if s >= 0 && s < len(yyStatenames) {
		if yyStatenames[s] != "" {
			return yyStatenames[s]
		}
	}
	return __yyfmt__.Sprintf("state-%v", s)
}

func yyErrorMessage(state, lookAhead int) string {
	const TOKSTART = 4

	if !yyErrorVerbose {
		return "syntax error"
	}

	for _, e := range yyErrorMessages {
		if e.state == state && e.token == lookAhead {
			return "syntax error: " + e.msg
		}
	}

	res := "syntax error: unexpected " + yyTokname(lookAhead)

	// To match Bison, suggest at most four expected tokens.
	expected := make([]int, 0, 4)

	// Look for shiftable tokens.
	base := yyPact[state]
	for tok := TOKSTART; tok-1 < len(yyToknames); tok++ {
		if n := base + tok; n >= 0 && n < yyLast && yyChk[yyAct[n]] == tok {
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}
	}

	if yyDef[state] == -2 {
		i := 0
		for yyExca[i] != -1 || yyExca[i+1] != state {
			i += 2
		}

		// Look for tokens that we accept or reduce.
		for i += 2; yyExca[i] >= 0; i += 2 {
			tok := yyExca[i]
			if tok < TOKSTART || yyExca[i+1] == 0 {
				continue
			}
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}

		// If the default action is to accept or reduce, give up.
		if yyExca[i+1] != 0 {
			return res
		}
	}

	for i, tok := range expected {
		if i == 0 {
			res += ", expecting "
		} else {
			res += " or "
		}
		res += yyTokname(tok)
	}
	return res
}

func yylex1(lex yyLexer, lval *yySymType) (char, token int) {
	token = 0
	char = lex.Lex(lval)
	if char <= 0 {
		token = yyTok1[0]
		goto out
	}
	if char < len(yyTok1) {
		token = yyTok1[char]
		goto out
	}
	if char >= yyPrivate {
		if char < yyPrivate+len(yyTok2) {
			token = yyTok2[char-yyPrivate]
			goto out
		}
	}
	for i := 0; i < len(yyTok3); i += 2 {
		token = yyTok3[i+0]
		if token == char {
			token = yyTok3[i+1]
			goto out
		}
	}

out:
	if token == 0 {
		token = yyTok2[1] /* unknown char */
	}
	if yyDebug >= 3 {
		__yyfmt__.Printf("lex %s(%d)\n", yyTokname(token), uint(char))
	}
	return char, token
}

func yyParse(yylex yyLexer) int {
	return yyNewParser().Parse(yylex)
}

func (yyrcvr *yyParserImpl) Parse(yylex yyLexer) int {
	var yyn int
	var yyVAL yySymType
	var yyDollar []yySymType
	_ = yyDollar // silence set and not used
	yyS := yyrcvr.stack[:]

	Nerrs := 0   /* number of errors */
	Errflag := 0 /* error recovery flag */
	yystate := 0
	yyrcvr.char = -1
	yytoken := -1 // yyrcvr.char translated into internal numbering
	defer func() {
		// Make sure we report no lookahead when not parsing.
		yystate = -1
		yyrcvr.char = -1
		yytoken = -1
	}()
	yyp := -1
	goto yystack

ret0:
	return 0

ret1:
	return 1

yystack:
	/* put a state and value onto the stack */
	if yyDebug >= 4 {
		__yyfmt__.Printf("char %v in %v\n", yyTokname(yytoken), yyStatname(yystate))
	}

	yyp++
	if yyp >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyS[yyp] = yyVAL
	yyS[yyp].yys = yystate

yynewstate:
	yyn = yyPact[yystate]
	if yyn <= yyFlag {
		goto yydefault /* simple state */
	}
	if yyrcvr.char < 0 {
		yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
	}
	yyn += yytoken
	if yyn < 0 || yyn >= yyLast {
		goto yydefault
	}
	yyn = yyAct[yyn]
	if yyChk[yyn] == yytoken { /* valid shift */
		yyrcvr.char = -1
		yytoken = -1
		yyVAL = yyrcvr.lval
		yystate = yyn
		if Errflag > 0 {
			Errflag--
		}
		goto yystack
	}

yydefault:
	/* default state action */
	yyn = yyDef[yystate]
	if yyn == -2 {
		if yyrcvr.char < 0 {
			yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
		}

		/* look through exception table */
		xi := 0
		for {
			if yyExca[xi+0] == -1 && yyExca[xi+1] == yystate {
				break
			}
			xi += 2
		}
		for xi += 2; ; xi += 2 {
			yyn = yyExca[xi+0]
			if yyn < 0 || yyn == yytoken {
				break
			}
		}
		yyn = yyExca[xi+1]
		if yyn < 0 {
			goto ret0
		}
	}
	if yyn == 0 {
		/* error ... attempt to resume parsing */
		switch Errflag {
		case 0: /* brand new error */
			yylex.Error(yyErrorMessage(yystate, yytoken))
			Nerrs++
			if yyDebug >= 1 {
				__yyfmt__.Printf("%s", yyStatname(yystate))
				__yyfmt__.Printf(" saw %s\n", yyTokname(yytoken))
			}
			fallthrough

		case 1, 2: /* incompletely recovered error ... try again */
			Errflag = 3

			/* find a state where "error" is a legal shift action */
			for yyp >= 0 {
				yyn = yyPact[yyS[yyp].yys] + yyErrCode
				if yyn >= 0 && yyn < yyLast {
					yystate = yyAct[yyn] /* simulate a shift of "error" */
					if yyChk[yystate] == yyErrCode {
						goto yystack
					}
				}

				/* the current p has no shift on "error", pop stack */
				if yyDebug >= 2 {
					__yyfmt__.Printf("error recovery pops state %d\n", yyS[yyp].yys)
				}
				yyp--
			}
			/* there is no state on the stack with an error shift ... abort */
			goto ret1

		case 3: /* no shift yet; clobber input char */
			if yyDebug >= 2 {
				__yyfmt__.Printf("error recovery discards %s\n", yyTokname(yytoken))
			}
			if yytoken == yyEofCode {
				goto ret1
			}
			yyrcvr.char = -1
			yytoken = -1
			goto yynewstate /* try again in the same state */
		}
	}

	/* reduction by production yyn */
	if yyDebug >= 2 {
		__yyfmt__.Printf("reduce %v in:\n\t%v\n", yyn, yyStatname(yystate))
	}

	yynt := yyn
	yypt := yyp
	_ = yypt // guard against "declared and not used"

	yyp -= yyR2[yyn]
	// yyp is now the index of $0. Perform the default action. Iff the
	// reduced production is ε, $1 is possibly out of range.
	if yyp+1 >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyVAL = yyS[yyp+1]

	/* consult goto table to find next state */
	yyn = yyR1[yyn]
	yyg := yyPgo[yyn]
	yyj := yyg + yyS[yyp].yys + 1

	if yyj >= yyLast {
		yystate = yyAct[yyg]
	} else {
		yystate = yyAct[yyj]
		if yyChk[yystate] != -yyn {
			yystate = yyAct[yyg]
		}
	}
	// dummy call; replaced with literal code
	switch yynt {

	case 1:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:215
		{
			rootnode = stmt.NewStmtList(yyDollar[1].list)
		}
	case 2:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:221
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 3:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:222
		{
			yyVAL.list = []node.Node{}
		}
	case 4:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:227
		{
			namePart := name.NewNamePart(yyDollar[1].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{namePart}
			comments.AddComments(namePart, yyDollar[1].token.Comments())
		}
	case 5:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:234
		{
			namePart := name.NewNamePart(yyDollar[3].token.Value)
			positions.AddPosition(namePart, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.list = append(yyDollar[1].list, namePart)
			comments.AddComments(namePart, yyDollar[3].token.Comments())
		}
	case 6:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:243
		{
			yyVAL.node = yyDollar[1].node
		}
	case 7:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:244
		{
			yyVAL.node = nil
		}
	case 8:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:245
		{
			yyVAL.node = nil
		}
	case 9:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:246
		{
			yyVAL.node = stmt.NewHaltCompiler()
		}
	case 10:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:248
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 11:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:258
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewNamespace(name, yyDollar[4].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[5].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 12:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:268
		{
			yyVAL.node = stmt.NewNamespace(nil, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 13:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:274
		{
			yyVAL.node = stmt.NewUseList(nil, yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 14:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:280
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 15:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:290
		{
			useType := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[2].token.Comments())

			yyVAL.node = stmt.NewUseList(useType, yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 16:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:299
		{
			yyVAL.node = nil
		}
	case 17:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:303
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 18:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:304
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 19:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:309
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 20:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:319
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 21:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:332
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 22:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:342
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 23:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:358
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 24:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:362
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 25:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:369
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 26:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:379
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 27:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:392
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 28:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:402
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 29:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:418
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 30:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:422
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 31:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:429
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 32:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:439
		{
			name := name.NewName(yyDollar[1].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			alias := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[1].list, yyDollar[3].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[1].list))
			comments.AddComments(alias, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 33:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:452
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			yyVAL.node = stmt.NewUse(nil, name, nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[2].list))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 34:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:462
		{
			name := name.NewName(yyDollar[2].list)
			positions.AddPosition(name, positionBuilder.NewNodeListPosition(yyDollar[2].list))
			alias := node.NewIdentifier(yyDollar[4].token.Value)
			positions.AddPosition(alias, positionBuilder.NewTokenPosition(yyDollar[4].token))
			yyVAL.node = stmt.NewUse(nil, name, alias)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListTokenPosition(yyDollar[2].list, yyDollar[4].token))

			comments.AddComments(name, ListGetFirstNodeComments(yyDollar[2].list))
			comments.AddComments(alias, yyDollar[4].token.Comments())
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[2].list))
		}
	case 35:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:477
		{
		}
	case 36:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:478
		{
		}
	case 37:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:482
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 38:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:483
		{
			yyVAL.list = []node.Node{}
		}
	case 39:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:488
		{
			yyVAL.node = yyDollar[1].node
		}
	case 40:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:489
		{
			yyVAL.node = nil
		}
	case 41:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:490
		{
		}
	case 42:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:491
		{
		}
	case 43:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:496
		{
			yyVAL.node = yyDollar[1].node
		}
	case 44:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:497
		{
		}
	case 45:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:501
		{
		}
	case 46:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 47:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 48:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:502
		{
		}
	case 49:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 50:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 51:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:503
		{
		}
	case 52:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:504
		{
		}
	case 53:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:504
		{
		}
	case 54:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:504
		{
		}
	case 55:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 56:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 57:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:505
		{
		}
	case 58:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:509
		{
		}
	case 59:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:511
		{
		}
	case 60:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:513
		{
		}
	case 61:
		yyDollar = yyS[yypt-12 : yypt+1]
		//line php5/php5.y:514
		{
		}
	case 62:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:515
		{
		}
	case 63:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:515
		{
		}
	case 64:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:516
		{
		}
	case 65:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:517
		{
		}
	case 66:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:518
		{
		}
	case 67:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:519
		{
		}
	case 68:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:520
		{
		}
	case 69:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:521
		{
		}
	case 70:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:522
		{
		}
	case 71:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:523
		{
		}
	case 72:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:524
		{
		}
	case 73:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:525
		{
		}
	case 74:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:526
		{
		}
	case 75:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:527
		{
		}
	case 76:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:528
		{
			yyVAL.node = yyDollar[1].node
		}
	case 77:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:529
		{
		}
	case 78:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:530
		{
		}
	case 79:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:531
		{
		}
	case 80:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:532
		{
		}
	case 81:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:532
		{
		}
	case 82:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:533
		{
		}
	case 83:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:534
		{
		}
	case 84:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:535
		{
		}
	case 85:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:536
		{
		}
	case 86:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:540
		{
		}
	case 87:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:541
		{
		}
	case 88:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:542
		{
		}
	case 89:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:543
		{
		}
	case 90:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:544
		{
		}
	case 91:
		yyDollar = yyS[yypt-13 : yypt+1]
		//line php5/php5.y:545
		{
		}
	case 92:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:548
		{
		}
	case 93:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:549
		{
		}
	case 94:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:549
		{
		}
	case 95:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:553
		{
		}
	case 96:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:554
		{
		}
	case 97:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:558
		{
		}
	case 98:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:559
		{
		}
	case 99:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:563
		{
		}
	case 100:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:563
		{
		}
	case 101:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:563
		{
		}
	case 104:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:572
		{
		}
	case 105:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:576
		{
		}
	case 106:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:580
		{
		}
	case 107:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:584
		{
		}
	case 108:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:585
		{
		}
	case 109:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:589
		{
		}
	case 110:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:590
		{
		}
	case 111:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:594
		{
		}
	case 112:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:596
		{
		}
	case 113:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:601
		{
		}
	case 114:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line php5/php5.y:605
		{
		}
	case 115:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:607
		{
		}
	case 116:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:611
		{
		}
	case 117:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:616
		{
		}
	case 118:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:617
		{
		}
	case 119:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:618
		{
		}
	case 120:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:619
		{
		}
	case 121:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:623
		{
		}
	case 122:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:624
		{
		}
	case 123:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:628
		{
		}
	case 128:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:642
		{
		}
	case 129:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:643
		{
		}
	case 130:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:647
		{
		}
	case 131:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:648
		{
		}
	case 132:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:653
		{
			yyVAL.foreachVariable = foreachVariable{yyDollar[1].node, false}
		}
	case 133:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:655
		{
			yyVAL.foreachVariable = foreachVariable{yyDollar[2].node, true}
		}
	case 134:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:657
		{
			list := expr.NewList(yyDollar[3].list)
			positions.AddPosition(list, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			yyVAL.foreachVariable = foreachVariable{list, false}
			comments.AddComments(list, yyDollar[1].token.Comments())
		}
	case 141:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:684
		{
		}
	case 142:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:685
		{
		}
	case 143:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:690
		{
		}
	case 144:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:691
		{
		}
	case 145:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:692
		{
		}
	case 146:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:693
		{
		}
	case 147:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:698
		{
		}
	case 148:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:699
		{
		}
	case 149:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:699
		{
		}
	case 150:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:700
		{
		}
	case 151:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:700
		{
		}
	case 157:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:719
		{
		}
	case 158:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:719
		{
		}
	case 160:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:725
		{
		}
	case 161:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:725
		{
		}
	case 170:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:754
		{
		}
	case 171:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:756
		{
		}
	case 172:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:761
		{
		}
	case 173:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:762
		{
		}
	case 174:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:763
		{
		}
	case 175:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:764
		{
		}
	case 176:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:769
		{
		}
	case 177:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:770
		{
		}
	case 178:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:771
		{
		}
	case 181:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:781
		{
		}
	case 182:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:782
		{
		}
	case 183:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:783
		{
		}
	case 184:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:784
		{
		}
	case 185:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:788
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 186:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:789
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 187:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:795
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 188:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:805
		{
			yyVAL.node = expr.NewVariable(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 189:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:811
		{
			yyVAL.node = expr.NewVariable(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 190:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:821
		{
			identifier := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[3].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[3].token))

			staticVar := stmt.NewStaticVar(variable, nil)
			positions.AddPosition(staticVar, positionBuilder.NewTokenPosition(yyDollar[3].token))

			yyVAL.list = append(yyDollar[1].list, staticVar)

			comments.AddComments(identifier, yyDollar[3].token.Comments())
			comments.AddComments(variable, yyDollar[3].token.Comments())
			comments.AddComments(staticVar, yyDollar[3].token.Comments())
		}
	case 191:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:838
		{
			identifier := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[3].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[3].token))

			staticVar := stmt.NewStaticVar(variable, yyDollar[5].node)
			positions.AddPosition(staticVar, positionBuilder.NewTokenNodePosition(yyDollar[3].token, yyDollar[5].node))

			yyVAL.list = append(yyDollar[1].list, staticVar)

			comments.AddComments(identifier, yyDollar[3].token.Comments())
			comments.AddComments(variable, yyDollar[3].token.Comments())
			comments.AddComments(staticVar, yyDollar[3].token.Comments())
		}
	case 192:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:855
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))

			staticVar := stmt.NewStaticVar(variable, nil)
			positions.AddPosition(staticVar, positionBuilder.NewTokenPosition(yyDollar[1].token))

			yyVAL.list = []node.Node{staticVar}

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(staticVar, yyDollar[1].token.Comments())
		}
	case 193:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:872
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))

			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))

			staticVar := stmt.NewStaticVar(variable, yyDollar[3].node)
			positions.AddPosition(staticVar, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[3].node))

			yyVAL.list = []node.Node{staticVar}

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(staticVar, yyDollar[1].token.Comments())
		}
	case 196:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:899
		{
		}
	case 200:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:902
		{
		}
	case 201:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line php5/php5.y:904
		{
		}
	case 203:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:912
		{
		}
	case 204:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:913
		{
		}
	case 213:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:937
		{
		}
	case 214:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:941
		{
		}
	case 215:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:942
		{
		}
	case 216:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:946
		{
		}
	case 217:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:947
		{
		}
	case 218:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:951
		{
		}
	case 219:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:955
		{
		}
	case 220:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:956
		{
		}
	case 221:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:960
		{
		}
	case 222:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:961
		{
		}
	case 223:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:965
		{
		}
	case 224:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:966
		{
		}
	case 225:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:970
		{
		}
	case 226:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:971
		{
		}
	case 227:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:975
		{
		}
	case 228:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:976
		{
		}
	case 229:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:980
		{
		}
	case 230:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:981
		{
		}
	case 231:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:985
		{
		}
	case 232:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:986
		{
		}
	case 233:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:987
		{
		}
	case 234:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:988
		{
		}
	case 235:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:989
		{
		}
	case 236:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:990
		{
		}
	case 237:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:994
		{
		}
	case 238:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:995
		{
		}
	case 239:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:996
		{
		}
	case 240:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:997
		{
		}
	case 241:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1001
		{
		}
	case 242:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1002
		{
		}
	case 243:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1006
		{
		}
	case 244:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1007
		{
		}
	case 245:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1012
		{
		}
	case 246:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1013
		{
		}
	case 247:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1017
		{
		}
	case 248:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1017
		{
		}
	case 249:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1018
		{
		}
	case 250:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1022
		{
		}
	case 251:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1023
		{
		}
	case 252:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1027
		{
		}
	case 253:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1028
		{
		}
	case 254:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1032
		{
		}
	case 255:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1032
		{
		}
	case 256:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1033
		{
		}
	case 257:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1034
		{
		}
	case 258:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1038
		{
		}
	case 259:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1039
		{
		}
	case 260:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1040
		{
		}
	case 261:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1044
		{
		}
	case 262:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1044
		{
		}
	case 263:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1049
		{
			list := expr.NewList(yyDollar[3].list)
			positions.AddPosition(list, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			yyVAL.node = assign_op.NewAssign(list, yyDollar[6].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[6].node))

			comments.AddComments(list, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 264:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1058
		{
		}
	case 265:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1059
		{
		}
	case 266:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1060
		{
		}
	case 267:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1060
		{
		}
	case 268:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1061
		{
		}
	case 269:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1062
		{
		}
	case 270:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1063
		{
		}
	case 271:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1064
		{
		}
	case 272:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1065
		{
		}
	case 273:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1066
		{
		}
	case 274:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1067
		{
		}
	case 275:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1068
		{
		}
	case 276:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1069
		{
		}
	case 277:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1070
		{
		}
	case 278:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1071
		{
		}
	case 279:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1072
		{
		}
	case 280:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1073
		{
		}
	case 281:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1074
		{
		}
	case 282:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1075
		{
		}
	case 283:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1076
		{
		}
	case 284:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1077
		{
		}
	case 285:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1078
		{
		}
	case 286:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1078
		{
		}
	case 287:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1079
		{
		}
	case 288:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1079
		{
		}
	case 289:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1080
		{
		}
	case 290:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1080
		{
		}
	case 291:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1081
		{
		}
	case 292:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1081
		{
		}
	case 293:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1082
		{
		}
	case 294:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1083
		{
		}
	case 295:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1084
		{
		}
	case 296:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1085
		{
		}
	case 297:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1086
		{
		}
	case 298:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1087
		{
		}
	case 299:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1088
		{
		}
	case 300:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1089
		{
		}
	case 301:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1090
		{
		}
	case 302:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1091
		{
		}
	case 303:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1092
		{
		}
	case 304:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1093
		{
		}
	case 305:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1094
		{
		}
	case 306:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1095
		{
		}
	case 307:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1096
		{
		}
	case 308:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1097
		{
		}
	case 309:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1098
		{
		}
	case 310:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1099
		{
		}
	case 311:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1100
		{
		}
	case 312:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1101
		{
		}
	case 313:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1102
		{
		}
	case 314:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1103
		{
		}
	case 315:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1104
		{
		}
	case 316:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1105
		{
		}
	case 317:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1106
		{
		}
	case 318:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1107
		{
		}
	case 319:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1108
		{
		}
	case 320:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1109
		{
		}
	case 321:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1110
		{
		}
	case 322:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1110
		{
		}
	case 323:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1111
		{
		}
	case 324:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1112
		{
		}
	case 325:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line php5/php5.y:1113
		{
		}
	case 326:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1114
		{
		}
	case 327:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1115
		{
		}
	case 328:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1116
		{
		}
	case 329:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1117
		{
		}
	case 330:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1118
		{
		}
	case 331:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1119
		{
		}
	case 332:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1120
		{
		}
	case 333:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1121
		{
		}
	case 334:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1122
		{
		}
	case 335:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1123
		{
		}
	case 336:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1124
		{
		}
	case 337:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1125
		{
		}
	case 338:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1125
		{
		}
	case 339:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1126
		{
		}
	case 340:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1127
		{
		}
	case 341:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1128
		{
		}
	case 342:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1129
		{
		}
	case 343:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1130
		{
		}
	case 344:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1131
		{
		}
	case 345:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1132
		{
		}
	case 346:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line php5/php5.y:1134
		{
		}
	case 347:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1135
		{
		}
	case 348:
		yyDollar = yyS[yypt-11 : yypt+1]
		//line php5/php5.y:1137
		{
		}
	case 349:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1141
		{
		}
	case 350:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1142
		{
		}
	case 351:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1143
		{
		}
	case 352:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1144
		{
		}
	case 353:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1148
		{
		}
	case 354:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1149
		{
		}
	case 355:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1150
		{
		}
	case 356:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1151
		{
		}
	case 357:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1155
		{
		}
	case 358:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1156
		{
		}
	case 359:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1160
		{
		}
	case 362:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1169
		{
		}
	case 363:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1170
		{
		}
	case 364:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1171
		{
		}
	case 365:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1172
		{
		}
	case 366:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1176
		{
		}
	case 367:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1177
		{
		}
	case 368:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1178
		{
		}
	case 369:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1179
		{
		}
	case 370:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1180
		{
		}
	case 371:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1181
		{
		}
	case 372:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1182
		{
		}
	case 373:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1183
		{
		}
	case 374:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1184
		{
		}
	case 375:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1185
		{
		}
	case 376:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1186
		{
		}
	case 377:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1187
		{
		}
	case 378:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1188
		{
		}
	case 379:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1189
		{
		}
	case 380:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1190
		{
		}
	case 381:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1191
		{
		}
	case 382:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1196
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 383:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1202
		{
			yyVAL.node = name.NewName(yyDollar[1].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeListPosition(yyDollar[1].list))
			comments.AddComments(yyVAL.node, ListGetFirstNodeComments(yyDollar[1].list))
		}
	case 384:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1208
		{
			yyVAL.node = name.NewRelative(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[3].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 385:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1214
		{
			yyVAL.node = name.NewFullyQualified(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodeListPosition(yyDollar[1].token, yyDollar[2].list))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 386:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1222
		{
		}
	case 387:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1223
		{
		}
	case 388:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1224
		{
		}
	case 389:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1230
		{
		}
	case 390:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1231
		{
		}
	case 391:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1236
		{
		}
	case 392:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1237
		{
		}
	case 393:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1238
		{
		}
	case 394:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1239
		{
		}
	case 397:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1250
		{
		}
	case 398:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1254
		{
		}
	case 399:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1255
		{
		}
	case 400:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1256
		{
		}
	case 401:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1260
		{
		}
	case 402:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1261
		{
		}
	case 403:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1262
		{
		}
	case 404:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1266
		{
		}
	case 405:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1267
		{
		}
	case 406:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1272
		{
			yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 407:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1278
		{
			yyVAL.node = scalar.NewDnumber(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 408:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1283
		{
			yyVAL.node = nil
		}
	case 409:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1285
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 410:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1291
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 411:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1297
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 412:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1303
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 413:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1309
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 414:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1315
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 415:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1321
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 416:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1327
		{
			yyVAL.node = scalar.NewString(yyDollar[2].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token)) /* TODO: mark as Heredoc*/
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 417:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1332
		{
			yyVAL.node = scalar.NewEncapsed(nil)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[2].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 418:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1341
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 419:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1353
		{
		}
	case 420:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1357
		{
		}
	case 421:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1358
		{
		}
	case 422:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1359
		{
		}
	case 423:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1360
		{
		}
	case 424:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1361
		{
		}
	case 425:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1362
		{
		}
	case 426:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1363
		{
		}
	case 427:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1364
		{
		}
	case 428:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1365
		{
		}
	case 429:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1366
		{
		}
	case 430:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1370
		{
		}
	case 431:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1371
		{
		}
	case 432:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1372
		{
		}
	case 433:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1373
		{
		}
	case 434:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1374
		{
		}
	case 435:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1375
		{
		}
	case 436:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1376
		{
		}
	case 437:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1377
		{
		}
	case 438:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1378
		{
		}
	case 439:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1379
		{
		}
	case 440:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1380
		{
		}
	case 441:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1381
		{
		}
	case 442:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1382
		{
		}
	case 443:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1383
		{
		}
	case 444:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1384
		{
		}
	case 445:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1385
		{
		}
	case 446:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1386
		{
		}
	case 447:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1387
		{
		}
	case 448:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1388
		{
		}
	case 449:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1389
		{
		}
	case 450:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1390
		{
		}
	case 451:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1391
		{
		}
	case 452:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1392
		{
		}
	case 453:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1393
		{
		}
	case 454:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1394
		{
		}
	case 455:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1395
		{
		}
	case 456:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1396
		{
		}
	case 457:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1397
		{
		}
	case 458:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1398
		{
		}
	case 459:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1399
		{
		}
	case 460:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1400
		{
		}
	case 461:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1401
		{
		}
	case 462:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1402
		{
		}
	case 463:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1406
		{
		}
	case 464:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1407
		{
		}
	case 465:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1408
		{
		}
	case 466:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1409
		{
		}
	case 467:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1414
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 468:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1424
		{
			yyVAL.node = yyDollar[1].node
		}
	case 469:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1426
		{
			yyVAL.node = yyDollar[1].node
		}
	case 470:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1428
		{
			yyVAL.node = yyDollar[1].node
		}
	case 471:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1430
		{
			yyVAL.node = scalar.NewEncapsed(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 472:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1436
		{
			yyVAL.node = scalar.NewEncapsed(yyDollar[2].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 473:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1442
		{
			yyVAL.node = scalar.NewMagicConstant(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 474:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1450
		{
		}
	case 475:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1451
		{
		}
	case 478:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1460
		{
		}
	case 479:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1461
		{
		}
	case 480:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1462
		{
		}
	case 481:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1463
		{
		}
	case 482:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1467
		{
			yyVAL.node = yyDollar[1].node
		}
	case 483:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1468
		{
		}
	case 484:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1472
		{
		}
	case 485:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1473
		{
		}
	case 486:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1479
		{
			yyVAL.node = yyDollar[1].node
		}
	case 487:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1487
		{
			yyVAL.node = yyDollar[1].node
		}
	case 488:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1494
		{
			yyVAL.node = yyDollar[1].node
		}
	case 489:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1501
		{
		}
	case 490:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1503
		{
			yyVAL.node = yyDollar[1].node
		}
	case 491:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1507
		{
		}
	case 492:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1508
		{
		}
	case 493:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1513
		{
		}
	case 494:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1513
		{
		}
	case 495:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1517
		{
		}
	case 496:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1518
		{
		}
	case 497:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1522
		{
		}
	case 498:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1523
		{
		}
	case 499:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1527
		{
		}
	case 500:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1528
		{
		}
	case 501:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1529
		{
		}
	case 502:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1533
		{
		}
	case 503:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1534
		{
		}
	case 504:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1538
		{
		}
	case 505:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1539
		{
		}
	case 506:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1545
		{
			yyVAL.node = yyDollar[1].node
		}
	case 507:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1551
		{
		}
	case 508:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1552
		{
		}
	case 509:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1556
		{
			yyVAL.node = yyDollar[1].node
		}
	case 510:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1557
		{
			yyVAL.node = yyDollar[1].node
		}
	case 511:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1558
		{
			yyVAL.node = yyDollar[1].node
		}
	case 512:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1563
		{
			yyVAL.node = yyDollar[1].node
		}
	case 513:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1565
		{
			yyDollar[1].simpleIndirectReference.last.SetVarName(yyDollar[2].node)

			for _, n := range yyDollar[1].simpleIndirectReference.all {
				positions[n] = positionBuilder.NewNodesPosition(n, yyDollar[2].node)
			}

			yyVAL.node = yyDollar[1].simpleIndirectReference.all[0]
		}
	case 514:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1574
		{
		}
	case 515:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1579
		{
			yyVAL.node = expr.NewArrayDimFetch(yyDollar[1].node, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[4].token))
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 516:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1585
		{
			yyVAL.node = expr.NewArrayDimFetch(yyDollar[1].node, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[4].token))
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 517:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1590
		{
			yyVAL.node = yyDollar[1].node
		}
	case 518:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1596
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 519:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1606
		{
			yyVAL.node = expr.NewVariable(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 520:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1614
		{
			yyVAL.node = nil
		}
	case 521:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1615
		{
			yyVAL.node = yyDollar[1].node
		}
	case 522:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1620
		{
		}
	case 523:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1621
		{
		}
	case 524:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1625
		{
		}
	case 525:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1626
		{
		}
	case 526:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1627
		{
		}
	case 527:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1632
		{
			yyVAL.node = node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 528:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1638
		{
			yyVAL.node = yyDollar[2].node
		}
	case 529:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1643
		{
			n := expr.NewVariable(nil)
			positions.AddPosition(n, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(n, yyDollar[1].token.Comments())

			yyVAL.simpleIndirectReference = simpleIndirectReference{[]*expr.Variable{n}, n}
		}
	case 530:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1651
		{
			n := expr.NewVariable(nil)
			positions.AddPosition(n, positionBuilder.NewTokenPosition(yyDollar[2].token))
			comments.AddComments(n, yyDollar[2].token.Comments())

			yyDollar[1].simpleIndirectReference.last.SetVarName(n)

			yyDollar[1].simpleIndirectReference.all = append(yyDollar[1].simpleIndirectReference.all, n)
			yyDollar[1].simpleIndirectReference.last = n
			yyVAL.simpleIndirectReference = yyDollar[1].simpleIndirectReference
		}
	case 531:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1666
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 532:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1668
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 533:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1674
		{
			yyVAL.node = yyDollar[1].node
		}
	case 534:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1676
		{
			yyVAL.node = expr.NewList(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 535:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1682
		{
			yyVAL.node = nil
		}
	case 536:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line php5/php5.y:1688
		{
			yyVAL.list = nil
		}
	case 537:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1690
		{
			yyVAL.list = yyDollar[1].list
		}
	case 538:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line php5/php5.y:1695
		{
			arrayItem := expr.NewArrayItem(yyDollar[3].node, yyDollar[5].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[3].node, yyDollar[5].node))
			comments.AddComments(arrayItem, comments[yyDollar[3].node])

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 539:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1703
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[3].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodePosition(yyDollar[3].node))
			comments.AddComments(arrayItem, comments[yyDollar[3].node])

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 540:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1711
		{
			arrayItem := expr.NewArrayItem(yyDollar[1].node, yyDollar[3].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[1].node, yyDollar[3].node))
			comments.AddComments(arrayItem, comments[yyDollar[1].node])

			yyVAL.list = []node.Node{arrayItem}
		}
	case 541:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1719
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[1].node, false)
			positions.AddPosition(arrayItem, positionBuilder.NewNodePosition(yyDollar[1].node))
			comments.AddComments(arrayItem, comments[yyDollar[1].node])

			yyVAL.list = []node.Node{arrayItem}
		}
	case 542:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1727
		{
			arrayItem := expr.NewArrayItem(yyDollar[3].node, yyDollar[6].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[3].node, yyDollar[6].node))
			comments.AddComments(arrayItem, comments[yyDollar[3].node])

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 543:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1735
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[4].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewTokenNodePosition(yyDollar[3].token, yyDollar[4].node))
			comments.AddComments(arrayItem, yyDollar[3].token.Comments())

			yyVAL.list = append(yyDollar[1].list, arrayItem)
		}
	case 544:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1743
		{
			arrayItem := expr.NewArrayItem(yyDollar[1].node, yyDollar[4].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewNodesPosition(yyDollar[1].node, yyDollar[4].node))
			comments.AddComments(arrayItem, comments[yyDollar[1].node])

			yyVAL.list = []node.Node{arrayItem}
		}
	case 545:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1751
		{
			arrayItem := expr.NewArrayItem(nil, yyDollar[2].node, true)
			positions.AddPosition(arrayItem, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(arrayItem, yyDollar[1].token.Comments())

			yyVAL.list = []node.Node{arrayItem}
		}
	case 546:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1762
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[2].node)
		}
	case 547:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1764
		{
			encapsed := scalar.NewEncapsedStringPart(yyDollar[2].token.Value)
			positions.AddPosition(encapsed, positionBuilder.NewTokenPosition(yyDollar[2].token))
			yyVAL.list = append(yyDollar[1].list, encapsed)
			comments.AddComments(encapsed, yyDollar[2].token.Comments())
		}
	case 548:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1771
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 549:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1773
		{
			encapsed := scalar.NewEncapsedStringPart(yyDollar[1].token.Value)
			positions.AddPosition(encapsed, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.list = []node.Node{encapsed, yyDollar[2].node}
			comments.AddComments(encapsed, yyDollar[1].token.Comments())
		}
	case 550:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1783
		{
			name := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(name, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(name)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(name, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 551:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1793
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewArrayDimFetch(variable, yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 552:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1806
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[1].token))
			fetch := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(fetch, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewPropertyFetch(variable, fetch)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(fetch, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 553:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1822
		{
			yyVAL.node = expr.NewVariable(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[3].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 554:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line php5/php5.y:1828
		{
			identifier := node.NewIdentifier(yyDollar[2].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[2].token))
			variable := expr.NewVariable(identifier)
			positions.AddPosition(variable, positionBuilder.NewTokenPosition(yyDollar[2].token))
			yyVAL.node = expr.NewArrayDimFetch(variable, yyDollar[4].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[6].token))

			comments.AddComments(identifier, yyDollar[2].token.Comments())
			comments.AddComments(variable, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 555:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1842
		{
			yyVAL.node = yyDollar[2].node
		}
	case 556:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1847
		{
			yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 557:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1853
		{
			// TODO: add option to handle 64 bit integer
			if _, err := strconv.Atoi(yyDollar[1].token.Value); err == nil {
				yyVAL.node = scalar.NewLnumber(yyDollar[1].token.Value)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			} else {
				yyVAL.node = scalar.NewString(yyDollar[1].token.Value)
				positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))
			}
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 558:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1865
		{
			identifier := node.NewIdentifier(yyDollar[1].token.Value)
			positions.AddPosition(identifier, positionBuilder.NewTokenPosition(yyDollar[1].token))
			yyVAL.node = expr.NewVariable(identifier)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenPosition(yyDollar[1].token))

			comments.AddComments(identifier, yyDollar[1].token.Comments())
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 559:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1878
		{
			yyVAL.node = expr.NewIsset(yyDollar[3].list)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 560:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1884
		{
			yyVAL.node = expr.NewEmpty(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 561:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1890
		{
			yyVAL.node = expr.NewEmpty(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 562:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1896
		{
			yyVAL.node = expr.NewInclude(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 563:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1902
		{
			yyVAL.node = expr.NewIncludeOnce(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 564:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line php5/php5.y:1908
		{
			yyVAL.node = expr.NewEval(yyDollar[3].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokensPosition(yyDollar[1].token, yyDollar[4].token))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 565:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1914
		{
			yyVAL.node = expr.NewRequire(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 566:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line php5/php5.y:1920
		{
			yyVAL.node = expr.NewRequireOnce(yyDollar[2].node)
			positions.AddPosition(yyVAL.node, positionBuilder.NewTokenNodePosition(yyDollar[1].token, yyDollar[2].node))
			comments.AddComments(yyVAL.node, yyDollar[1].token.Comments())
		}
	case 567:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1929
		{
			yyVAL.list = []node.Node{yyDollar[1].node}
		}
	case 568:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1931
		{
			yyVAL.list = append(yyDollar[1].list, yyDollar[3].node)
		}
	case 569:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1935
		{
			yyVAL.node = yyDollar[1].node
		}
	case 570:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line php5/php5.y:1936
		{
			yyVAL.node = yyDollar[1].node
		}
	case 571:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1941
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 572:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1951
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 573:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1964
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	case 574:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line php5/php5.y:1977
		{
			target := node.NewIdentifier(yyDollar[3].token.Value)
			positions.AddPosition(target, positionBuilder.NewTokenPosition(yyDollar[3].token))
			yyVAL.node = expr.NewClassConstFetch(yyDollar[1].node, target)
			positions.AddPosition(yyVAL.node, positionBuilder.NewNodeTokenPosition(yyDollar[1].node, yyDollar[3].token))

			comments.AddComments(target, yyDollar[3].token.Comments())
			comments.AddComments(yyVAL.node, comments[yyDollar[1].node])
		}
	}
	goto yystack /* stack new state and value */
}
